#ifndef _AGNIX_DRIVERS_BLKDRV_H_
#define _AGNIX_DRIVERS_BLKDRV_H_

#include <agnix/agnix.h>
#include <agnix/adi/adi.h>
#include <agnix/spinlock.h>
#include <agnix/list.h>
#include <agnix/adi/block/adi_blkreq.h>

#define BLKDEV_MAX		255
#define BLKDEV_FLAG_DMA_REQ	(1 << 0)
#define BLKDEV_FLOPPY_NR	0x0002

struct adi_blkdev_ops_s {
    int (*block_req)(struct adi_blkreq_s *blkreq);
};

struct adi_device_lock_s;

struct adi_blkdev_s {
    const char *		dev_name;
    u16 			dev_nr;
    u32 			dev_flags;
    struct adi_blkdev_ops_s 	*dev_ops;
    struct list_head		dev_list;
    struct adi_device_lock_s	dev_lock;
};

void adi_blkdev_lock_irq(struct adi_blkdev_s *blkdev);
void adi_blkdev_unlock_irq(struct adi_blkdev_s *blkdev);
int  adi_register_blkdev(struct adi_blkdev_s *blkdev);
struct adi_blkdev_s *adi_get_blkdev(u16 blkdev_nr);
int  adi_blkdrv_init(void);

#include <agnix/adi/block/adi_floppy.h>

#endif
