#ifndef _AGNIX_ADI_DEVICES_H_
#define _AGNIX_ADI_DEVICES_H_

#include <agnix/agnix.h>
#include <agnix/spinlock.h>

#define DEV_MAJOR(dev) 		((u8)(dev->dev_nr >> 8))
#define DEV_MINOR(dev) 		((u8)(dev->dev_nr & 0xff))

#define DEV_TTY_MAJOR		5
#define DEV_TTY_MINOR		0

#define DEV_MAX_NAME_LEN	16

struct adi_device_lock_s {
    spinlock_t		spin_lock;
    u32			save_flags;
};

void adi_device_lock_irq(struct adi_device_lock_s *dev_lock);
void adi_device_unlock_irq(struct adi_device_lock_s *dev_lock);
int  adi_devices_init(void);

#endif
