#ifndef _AGNIX_CONSOLE_MONITOR_H_
#define _AGNIX_CONSOLE_MONITOR_H_

#define MENU_MAX_NAME_LEN		0x10
#define COMMAND_MAX_LEN			0x100
#define COMMAND_MAX_NAME_LEN		0x10
#define COMMAND_MAX_DESC_LEN		0x100
#define COMMAND_MAX_ARG_NAME_LEN	0x10
#define COMMAND_MAX_ARG_VAL_LEN		0x10
#define COMMAND_MAX_ENTRIES		0x10

struct agnix_console_menu_s;

struct agnix_console_command_arg_s {
    char name[COMMAND_MAX_ARG_NAME_LEN];
    char val [COMMAND_MAX_ARG_VAL_LEN];
};

struct agnix_console_command_s {
    char *name;
    char *desc;
    struct agnix_console_menu_s * (*action)(struct agnix_console_menu_s *menu, struct agnix_console_command_s *command, char *buf);
    struct agnix_console_menu_s *menu;
    struct agnix_console_menu_s *submenu;
};

struct agnix_console_menu_s {
    char *name;
    struct agnix_console_command_s *commands;
    struct agnix_console_menu_s *parent;
};

int agnix_console_start(void);
int agnix_console_init(void);

#endif
