#ifndef _AGNIX_NET_LAYER_2_H_
#define _AGNIX_NET_LAYER_2_H_

#include <agnix/agnix.h>
#include <agnix/list.h>
#include <agnix/net/layer_2/eth.h>
#include <agnix/net/layer_2/eth_proto.h>
#include <agnix/net/layer_2/arp.h>

int net_layer_2_init(void);

struct net_layer_2_pack {
    u16 pack_type;
    int (*receiver)(struct frb_s *);
    struct list_head pack_list;
};

struct net_layer_2_netdev_s {
    u8 if_type;
    u8 if_addr[NET_LAYER_2_ETH_MAC_LEN];
    u8 if_addr_broadcast[NET_LAYER_2_ETH_MAC_LEN];
    u8 if_addr_len;
    u16 if_mtu;
};

int net_layer_2_add_pack(struct net_layer_2_pack *pack);
int net_layer_2_recv_pack(struct frb_s *frb);
int net_layer_2_init(void);

#endif
