#ifndef _AGNIX_WAIT_H_
#define _AGNIX_WAIT_H_

#include <agnix/agnix.h>
#include <agnix/tasks.h>
#include <agnix/list.h>
#include <agnix/spinlock.h>

struct wait_list_s {
    struct list_head list;
    spinlock_t lock;
};

void wait_list_add     (struct task_s *task, struct wait_list_s *waitlist);
void wait_list_del     (struct task_s *task, struct wait_list_s *waitlist);
void wait_list_remove  (struct task_s *task, struct wait_list_s *waitlist);
void wait_list_wake_up (struct wait_list_s *waitlist);
void wait_list_sleep_on(struct task_s *task, struct wait_list_s *waitlist);
void wait_list_init    (struct wait_list_s *waitlist);

#endif
