/*
 * kernel_arch/i386/kernel/cpu/byteorder.c
 *
 * Copyright (c) 2003-2005 Lukasz Dembinski <dembol@nasa.com.pl>
 * All Rights Reserved
 * 
 * Date:	2005/02
 * Author: 	Lukasz Dembinski
 * Info:	byteorder.c core file
 * Contact:	mailto: <dembol@nasa.com.pl>
 *
 */

#include <agnix/agnix.h>
#include <agnix/adi/adi.h>
#include <asm/cpu_ops.h>
#include <asm/bitops.h>

inline u32 be32_to_le32(u32 val) {
    __asm__ ("bswap %0" : "=r" (val) : "0" (val));
    
    return val; 
}

inline u16 be16_to_le16(u16 val) {
    __asm__ ("xchgb %b0, %h0" : "=q" (val) : "0" (val));
    
    return val; 
}
