/* 
 * kernel_drivers/adi_buses/pci/pcibus_vendor_names.c
 * 
 * Copyright (c) 2003-2004 Lukasz Dembinski <dembol@nasa.com.pl>
 * All Rights Reserved
 * 
 * Date:	2004/06
 * Author: 	Lukasz Dembinski
 * Info:	pcibus_vendor_names.c core file
 * Contact:	mailto: <dembol@nasa.com.pl>
 * 
 */

#include <agnix/agnix.h>
#include <agnix/adi/adi.h>

struct pcibus_vendor_name_s pcibus_vendor_names[] = {
	{ 0x0000, "Gammagraphx, Inc." }, 
	{ 0x001a, "Ascend Communications, Inc." }, 
	{ 0x0033, "Paradyne corp." }, 
	{ 0x003d, "Lockheed Martin-Marietta Corp" }, 
	{ 0x0070, "Hauppauge computer works Inc." }, 
	{ 0x0100, "Ncipher Corp Ltd" }, 
	{ 0x0675, "Dynalink" }, 
	{ 0x0925, "VIA Technologies, Inc. (Wrong ID)" }, 
	{ 0x09c1, "Arris" }, 
	{ 0x0a89, "BREA Technologies Inc" }, 
	{ 0x0e11, "Compaq Computer Corporation" }, 
	{ 0x1000, "LSI Logic / Symbios Logic (formerly NCR)" }, 
	{ 0x1001, "Initio" }, 
	{ 0x1002, "ATI Technologies Inc" }, 
	{ 0x1003, "ULSI Systems" }, 
	{ 0x1004, "VLSI Technology Inc" }, 
	{ 0x1005, "Avance Logic Inc. [ALI]" }, 
	{ 0x1006, "Reply Group" }, 
	{ 0x1007, "NetFrame Systems Inc" }, 
	{ 0x1008, "Epson" }, 
	{ 0x100a, "Phoenix Technologies" }, 
	{ 0x100b, "National Semiconductor Corporation" }, 
	{ 0x100c, "Tseng Labs Inc" }, 
	{ 0x100d, "AST Research Inc" }, 
	{ 0x100e, "Weitek" }, 
	{ 0x1010, "Video Logic, Ltd." }, 
	{ 0x1011, "Digital Equipment Corporation" }, 
	{ 0x1012, "Micronics Computers Inc" }, 
	{ 0x1013, "Cirrus Logic" }, 
	{ 0x1014, "IBM" }, 
	{ 0x1015, "LSI Logic Corp of Canada" }, 
	{ 0x1016, "ICL Personal Systems" }, 
	{ 0x1017, "SPEA Software AG" }, 
	{ 0x1018, "Unisys Systems" }, 
	{ 0x1019, "Elitegroup Computer Systems" }, 
	{ 0x101a, "AT&T GIS (NCR)" }, 
	{ 0x101b, "Vitesse Semiconductor" }, 
	{ 0x101c, "Western Digital" }, 
	{ 0x101e, "American Megatrends Inc." }, 
	{ 0x101f, "PictureTel" }, 
	{ 0x1020, "Hitachi Computer Products" }, 
	{ 0x1021, "OKI Electric Industry Co. Ltd." }, 
	{ 0x1022, "Advanced Micro Devices [AMD]" }, 
	{ 0x1023, "Trident Microsystems" }, 
	{ 0x1024, "Zenith Data Systems" }, 
	{ 0x1025, "Acer Incorporated [ALI]" }, 
	{ 0x1028, "Dell Computer Corporation" }, 
	{ 0x1029, "Siemens Nixdorf IS" }, 
	{ 0x102a, "LSI Logic" }, 
	{ 0x102b, "Matrox Graphics, Inc." }, 
	{ 0x102c, "Chips and Technologies" }, 
	{ 0x102d, "Wyse Technology Inc." }, 
	{ 0x102e, "Olivetti Advanced Technology" }, 
	{ 0x102f, "Toshiba America" }, 
	{ 0x1030, "TMC Research" }, 
	{ 0x1031, "Miro Computer Products AG" }, 
	{ 0x1032, "Compaq" }, 
	{ 0x1033, "NEC Corporation" }, 
	{ 0x1034, "Framatome Connectors USA Inc." }, 
	{ 0x1035, "Comp. & Comm. Research Lab" }, 
	{ 0x1036, "Future Domain Corp." }, 
	{ 0x1037, "Hitachi Micro Systems" }, 
	{ 0x1038, "AMP, Inc" }, 
	{ 0x1039, "Silicon Integrated Systems [SiS]" }, 
	{ 0x103a, "Seiko Epson Corporation" }, 
	{ 0x103b, "Tatung Co. of America" }, 
	{ 0x103c, "Hewlett-Packard Company" }, 
	{ 0x103e, "Solliday Engineering" }, 
	{ 0x103f, "Synopsys/Logic Modeling Group" }, 
	{ 0x1040, "Accelgraphics Inc." }, 
	{ 0x1041, "Computrend" }, 
	{ 0x1042, "Micron" }, 
	{ 0x1043, "Asustek Computer, Inc." }, 
	{ 0x1044, "Distributed Processing Technology" }, 
	{ 0x1045, "OPTi Inc." }, 
	{ 0x1046, "IPC Corporation, Ltd." }, 
	{ 0x1047, "Genoa Systems Corp" }, 
	{ 0x1048, "Elsa AG" }, 
	{ 0x1049, "Fountain Technologies, Inc." }, 
	{ 0x104a, "SGS Thomson Microelectronics" }, 
	{ 0x104b, "BusLogic" }, 
	{ 0x104c, "Texas Instruments" }, 
	{ 0x104d, "Sony Corporation" }, 
	{ 0x104e, "Oak Technology, Inc" }, 
	{ 0x104f, "Co-time Computer Ltd" }, 
	{ 0x1050, "Winbond Electronics Corp" }, 
	{ 0x1051, "Anigma, Inc." }, 
	{ 0x1052, "?Young Micro Systems" }, 
	{ 0x1053, "Young Micro Systems" }, 
	{ 0x1054, "Hitachi, Ltd" }, 
	{ 0x1055, "EFAR Microsystems" }, 
	{ 0x1056, "ICL" }, 
	{ 0x1057, "Motorola" }, 
	{ 0x1058, "Electronics & Telecommunications RSH" }, 
	{ 0x1059, "Teknor Industrial Computers Inc" }, 
	{ 0x105a, "Promise Technology, Inc." }, 
	{ 0x105b, "Foxconn International, Inc." }, 
	{ 0x105c, "Wipro Infotech Limited" }, 
	{ 0x105d, "Number 9 Computer Company" }, 
	{ 0x105e, "Vtech Computers Ltd" }, 
	{ 0x105f, "Infotronic America Inc" }, 
	{ 0x1060, "United Microelectronics [UMC]" }, 
	{ 0x1061, "I.I.T." }, 
	{ 0x1062, "Maspar Computer Corp" }, 
	{ 0x1063, "Ocean Office Automation" }, 
	{ 0x1064, "Alcatel" }, 
	{ 0x1065, "Texas Microsystems" }, 
	{ 0x1066, "PicoPower Technology" }, 
	{ 0x1067, "Mitsubishi Electric" }, 
	{ 0x1068, "Diversified Technology" }, 
	{ 0x1069, "Mylex Corporation" }, 
	{ 0x106a, "Aten Research Inc" }, 
	{ 0x106b, "Apple Computer Inc." }, 
	{ 0x106c, "Hyundai Electronics America" }, 
	{ 0x106d, "Sequent Computer Systems" }, 
	{ 0x106e, "DFI, Inc" }, 
	{ 0x106f, "City Gate Development Ltd" }, 
	{ 0x1070, "Daewoo Telecom Ltd" }, 
	{ 0x1071, "Mitac" }, 
	{ 0x1072, "GIT Co Ltd" }, 
	{ 0x1073, "Yamaha Corporation" }, 
	{ 0x1074, "NexGen Microsystems" }, 
	{ 0x1075, "Advanced Integrations Research" }, 
	{ 0x1076, "Chaintech Computer Co. Ltd" }, 
	{ 0x1077, "QLogic Corp." }, 
	{ 0x1078, "Cyrix Corporation" }, 
	{ 0x1079, "I-Bus" }, 
	{ 0x107a, "NetWorth" }, 
	{ 0x107b, "Gateway 2000" }, 
	{ 0x107c, "LG Electronics [Lucky Goldstar Co. Ltd]" }, 
	{ 0x107d, "LeadTek Research Inc." }, 
	{ 0x107e, "Interphase Corporation" }, 
	{ 0x107f, "Data Technology Corporation" }, 
	{ 0x1080, "Contaq Microsystems" }, 
	{ 0x1081, "Supermac Technology" }, 
	{ 0x1082, "EFA Corporation of America" }, 
	{ 0x1083, "Forex Computer Corporation" }, 
	{ 0x1084, "Parador" }, 
	{ 0x1085, "Tulip Computers Int.B.V." }, 
	{ 0x1086, "J. Bond Computer Systems" }, 
	{ 0x1087, "Cache Computer" }, 
	{ 0x1088, "Microcomputer Systems (M) Son" }, 
	{ 0x1089, "Data General Corporation" }, 
	{ 0x108a, "Bit3 Computer Corp." }, 
	{ 0x108c, "Oakleigh Systems Inc." }, 
	{ 0x108d, "Olicom" }, 
	{ 0x108e, "Sun Microsystems Computer Corp." }, 
	{ 0x108f, "Systemsoft" }, 
	{ 0x1090, "Encore Computer Corporation" }, 
	{ 0x1091, "Intergraph Corporation" }, 
	{ 0x1092, "Diamond Multimedia Systems" }, 
	{ 0x1093, "National Instruments" }, 
	{ 0x1094, "First International Computers [FIC]" }, 
	{ 0x1095, "CMD Technology Inc" }, 
	{ 0x1096, "Alacron" }, 
	{ 0x1097, "Appian Technology" }, 
	{ 0x1098, "Quantum Designs (H.K.) Ltd" }, 
	{ 0x1099, "Samsung Electronics Co., Ltd" }, 
	{ 0x109a, "Packard Bell" }, 
	{ 0x109b, "Gemlight Computer Ltd." }, 
	{ 0x109c, "Megachips Corporation" }, 
	{ 0x109d, "Zida Technologies Ltd." }, 
	{ 0x109e, "Brooktree Corporation" }, 
	{ 0x109f, "Trigem Computer Inc." }, 
	{ 0x10a0, "Meidensha Corporation" }, 
	{ 0x10a1, "Juko Electronics Ind. Co. Ltd" }, 
	{ 0x10a2, "Quantum Corporation" }, 
	{ 0x10a3, "Everex Systems Inc" }, 
	{ 0x10a4, "Globe Manufacturing Sales" }, 
	{ 0x10a5, "Racal Interlan" }, 
	{ 0x10a6, "Informtech Industrial Ltd." }, 
	{ 0x10a7, "Benchmarq Microelectronics" }, 
	{ 0x10a8, "Sierra Semiconductor" }, 
	{ 0x10a9, "Silicon Graphics, Inc." }, 
	{ 0x10aa, "ACC Microelectronics" }, 
	{ 0x10ab, "Digicom" }, 
	{ 0x10ac, "Honeywell IAC" }, 
	{ 0x10ad, "Symphony Labs" }, 
	{ 0x10ae, "Cornerstone Technology" }, 
	{ 0x10af, "Micro Computer Systems Inc" }, 
	{ 0x10b0, "CardExpert Technology" }, 
	{ 0x10b1, "Cabletron Systems Inc" }, 
	{ 0x10b2, "Raytheon Company" }, 
	{ 0x10b3, "Databook Inc" }, 
	{ 0x10b4, "STB Systems Inc" }, 
	{ 0x10b5, "PLX Technology, Inc." }, 
	{ 0x10b6, "Madge Networks" }, 
	{ 0x10b7, "3Com Corporation" }, 
	{ 0x10b8, "Standard Microsystems Corp [SMC]" }, 
	{ 0x10b9, "Acer Laboratories Inc. [ALi]" }, 
	{ 0x10ba, "Mitsubishi Electric Corp." }, 
	{ 0x10bb, "Dapha Electronics Corporation" }, 
	{ 0x10bc, "Advanced Logic Research" }, 
	{ 0x10bd, "Surecom Technology" }, 
	{ 0x10be, "Tseng Labs International Co." }, 
	{ 0x10bf, "Most Inc" }, 
	{ 0x10c0, "Boca Research Inc." }, 
	{ 0x10c1, "ICM Co., Ltd." }, 
	{ 0x10c2, "Auspex Systems Inc." }, 
	{ 0x10c3, "Samsung Semiconductors, Inc." }, 
	{ 0x10c4, "Award Software International Inc." }, 
	{ 0x10c5, "Xerox Corporation" }, 
	{ 0x10c6, "Rambus Inc." }, 
	{ 0x10c7, "Media Vision" }, 
	{ 0x10c8, "Neomagic Corporation" }, 
	{ 0x10c9, "Dataexpert Corporation" }, 
	{ 0x10ca, "Fujitsu Microelectr., Inc." }, 
	{ 0x10cb, "Omron Corporation" }, 
	{ 0x10cc, "Mentor ARC Inc" }, 
	{ 0x10cd, "Advanced System Products, Inc" }, 
	{ 0x10ce, "Radius" }, 
	{ 0x10cf, "Citicorp TTI" }, 
	{ 0x10d0, "Fujitsu Limited" }, 
	{ 0x10d1, "FuturePlus Systems Corp." }, 
	{ 0x10d2, "Molex Incorporated" }, 
	{ 0x10d3, "Jabil Circuit Inc" }, 
	{ 0x10d4, "Hualon Microelectronics" }, 
	{ 0x10d5, "Autologic Inc." }, 
	{ 0x10d6, "Cetia" }, 
	{ 0x10d7, "BCM Advanced Research" }, 
	{ 0x10d8, "Advanced Peripherals Labs" }, 
	{ 0x10d9, "Macronix, Inc. [MXIC]" }, 
	{ 0x10da, "Compaq IPG-Austin" }, 
	{ 0x10db, "Rohm LSI Systems, Inc." }, 
	{ 0x10dc, "CERN/ECP/EDU" }, 
	{ 0x10dd, "Evans & Sutherland" }, 
	{ 0x10de, "nVidia Corporation" }, 
	{ 0x10df, "Emulex Corporation" }, 
	{ 0x10e0, "Integrated Micro Solutions Inc." }, 
	{ 0x10e1, "Tekram Technology Co.,Ltd." }, 
	{ 0x10e2, "Aptix Corporation" }, 
	{ 0x10e3, "Tundra Semiconductor Corp." }, 
	{ 0x10e4, "Tandem Computers" }, 
	{ 0x10e5, "Micro Industries Corporation" }, 
	{ 0x10e6, "Gainbery Computer Products Inc." }, 
	{ 0x10e7, "Vadem" }, 
	{ 0x10e8, "Applied Micro Circuits Corp." }, 
	{ 0x10e9, "Alps Electric Co., Ltd." }, 
	{ 0x10ea, "Intergraphics Systems" }, 
	{ 0x10eb, "Artists Graphics" }, 
	{ 0x10ec, "Realtek Semiconductor Co., Ltd." }, 
	{ 0x10ed, "Ascii Corporation" }, 
	{ 0x10ee, "Xilinx, Inc." }, 
	{ 0x10ef, "Racore Computer Products, Inc." }, 
	{ 0x10f0, "Peritek Corporation" }, 
	{ 0x10f1, "Tyan Computer" }, 
	{ 0x10f2, "Achme Computer, Inc." }, 
	{ 0x10f3, "Alaris, Inc." }, 
	{ 0x10f4, "S-MOS Systems, Inc." }, 
	{ 0x10f5, "NKK Corporation" }, 
	{ 0x10f6, "Creative Electronic Systems SA" }, 
	{ 0x10f7, "Matsushita Electric Industrial Co., Ltd." }, 
	{ 0x10f8, "Altos India Ltd" }, 
	{ 0x10f9, "PC Direct" }, 
	{ 0x10fa, "Truevision" }, 
	{ 0x10fb, "Thesys Gesellschaft fr Mikroelektronik mbH" }, 
	{ 0x10fc, "I-O Data Device, Inc." }, 
	{ 0x10fd, "Soyo Computer, Inc" }, 
	{ 0x10fe, "Fast Multimedia AG" }, 
	{ 0x10ff, "NCube" }, 
	{ 0x1100, "Jazz Multimedia" }, 
	{ 0x1101, "Initio Corporation" }, 
	{ 0x1102, "Creative Labs" }, 
	{ 0x1103, "Triones Technologies, Inc." }, 
	{ 0x1104, "RasterOps Corp." }, 
	{ 0x1105, "Sigma Designs, Inc." }, 
	{ 0x1106, "VIA Technologies, Inc." }, 
	{ 0x1107, "Stratus Computers" }, 
	{ 0x1108, "Proteon, Inc." }, 
	{ 0x1109, "Cogent Data Technologies, Inc." }, 
	{ 0x110a, "Siemens Nixdorf AG" }, 
	{ 0x110b, "Chromatic Research Inc." }, 
	{ 0x110c, "Mini-Max Technology, Inc." }, 
	{ 0x110d, "Znyx Advanced Systems" }, 
	{ 0x110e, "CPU Technology" }, 
	{ 0x110f, "Ross Technology" }, 
	{ 0x1110, "Powerhouse Systems" }, 
	{ 0x1111, "Santa Cruz Operation" }, 
	{ 0x1112, "RNS - Div. of Meret Communications Inc" }, 
	{ 0x1113, "Accton Technology Corporation" }, 
	{ 0x1114, "Atmel Corporation" }, 
	{ 0x1115, "3D Labs" }, 
	{ 0x1116, "Data Translation" }, 
	{ 0x1117, "Datacube, Inc" }, 
	{ 0x1118, "Berg Electronics" }, 
	{ 0x1119, "ICP Vortex Computersysteme GmbH" }, 
	{ 0x111a, "Efficient Networks, Inc" }, 
	{ 0x111b, "Teledyne Electronic Systems" }, 
	{ 0x111c, "Tricord Systems Inc." }, 
	{ 0x111d, "Integrated Device Tech" }, 
	{ 0x111e, "Eldec" }, 
	{ 0x111f, "Precision Digital Images" }, 
	{ 0x1120, "EMC Corporation" }, 
	{ 0x1121, "Zilog" }, 
	{ 0x1122, "Multi-tech Systems, Inc." }, 
	{ 0x1123, "Excellent Design, Inc." }, 
	{ 0x1124, "Leutron Vision AG" }, 
	{ 0x1125, "Eurocore" }, 
	{ 0x1126, "Vigra" }, 
	{ 0x1127, "FORE Systems Inc" }, 
	{ 0x1129, "Firmworks" }, 
	{ 0x112a, "Hermes Electronics Company, Ltd." }, 
	{ 0x112b, "Linotype - Hell AG" }, 
	{ 0x112c, "Zenith Data Systems" }, 
	{ 0x112d, "Ravicad" }, 
	{ 0x112e, "Infomedia Microelectronics Inc." }, 
	{ 0x112f, "Imaging Technology Inc" }, 
	{ 0x1130, "Computervision" }, 
	{ 0x1131, "Philips Semiconductors" }, 
	{ 0x1132, "Mitel Corp." }, 
	{ 0x1133, "Eicon Technology Corporation" }, 
	{ 0x1134, "Mercury Computer Systems" }, 
	{ 0x1135, "Fuji Xerox Co Ltd" }, 
	{ 0x1136, "Momentum Data Systems" }, 
	{ 0x1137, "Cisco Systems Inc" }, 
	{ 0x1138, "Ziatech Corporation" }, 
	{ 0x1139, "Dynamic Pictures, Inc" }, 
	{ 0x113a, "FWB Inc" }, 
	{ 0x113b, "Network Computing Devices" }, 
	{ 0x113c, "Cyclone Microsystems, Inc." }, 
	{ 0x113d, "Leading Edge Products Inc" }, 
	{ 0x113e, "Sanyo Electric Co - Computer Engineering Dept" }, 
	{ 0x113f, "Equinox Systems, Inc." }, 
	{ 0x1140, "Intervoice Inc" }, 
	{ 0x1141, "Crest Microsystem Inc" }, 
	{ 0x1142, "Alliance Semiconductor Corporation" }, 
	{ 0x1143, "NetPower, Inc" }, 
	{ 0x1144, "Cincinnati Milacron" }, 
	{ 0x1145, "Workbit Corporation" }, 
	{ 0x1146, "Force Computers" }, 
	{ 0x1147, "Interface Corp" }, 
	{ 0x1148, "Syskonnect (Schneider & Koch)" }, 
	{ 0x1149, "Win System Corporation" }, 
	{ 0x114a, "VMIC" }, 
	{ 0x114b, "Canopus Co., Ltd" }, 
	{ 0x114c, "Annabooks" }, 
	{ 0x114d, "IC Corporation" }, 
	{ 0x114e, "Nikon Systems Inc" }, 
	{ 0x114f, "Digi International" }, 
	{ 0x1150, "Thinking Machines Corp" }, 
	{ 0x1151, "JAE Electronics Inc." }, 
	{ 0x1152, "Megatek" }, 
	{ 0x1153, "Land Win Electronic Corp" }, 
	{ 0x1154, "Melco Inc" }, 
	{ 0x1155, "Pine Technology Ltd" }, 
	{ 0x1156, "Periscope Engineering" }, 
	{ 0x1157, "Avsys Corporation" }, 
	{ 0x1158, "Voarx R & D Inc" }, 
	{ 0x1159, "Mutech Corp" }, 
	{ 0x115a, "Harlequin Ltd" }, 
	{ 0x115b, "Parallax Graphics" }, 
	{ 0x115c, "Photron Ltd." }, 
	{ 0x115d, "Xircom" }, 
	{ 0x115e, "Peer Protocols Inc" }, 
	{ 0x115f, "Maxtor Corporation" }, 
	{ 0x1160, "Megasoft Inc" }, 
	{ 0x1161, "PFU Limited" }, 
	{ 0x1162, "OA Laboratory Co Ltd" }, 
	{ 0x1163, "Rendition" }, 
	{ 0x1164, "Advanced Peripherals Technologies" }, 
	{ 0x1165, "Imagraph Corporation" }, 
	{ 0x1166, "ServerWorks" }, 
	{ 0x1167, "Mutoh Industries Inc" }, 
	{ 0x1168, "Thine Electronics Inc" }, 
	{ 0x1169, "Centre for Development of Advanced Computing" }, 
	{ 0x116a, "Polaris Communications" }, 
	{ 0x116b, "Connectware Inc" }, 
	{ 0x116c, "Intelligent Resources Integrated Systems" }, 
	{ 0x116d, "Martin-Marietta" }, 
	{ 0x116e, "Electronics for Imaging" }, 
	{ 0x116f, "Workstation Technology" }, 
	{ 0x1170, "Inventec Corporation" }, 
	{ 0x1171, "Loughborough Sound Images Plc" }, 
	{ 0x1172, "Altera Corporation" }, 
	{ 0x1173, "Adobe Systems, Inc" }, 
	{ 0x1174, "Bridgeport Machines" }, 
	{ 0x1175, "Mitron Computer Inc." }, 
	{ 0x1176, "SBE Incorporated" }, 
	{ 0x1177, "Silicon Engineering" }, 
	{ 0x1178, "Alfa, Inc." }, 
	{ 0x1179, "Toshiba America Info Systems" }, 
	{ 0x117a, "A-Trend Technology" }, 
	{ 0x117b, "L G Electronics, Inc." }, 
	{ 0x117c, "Atto Technology" }, 
	{ 0x117d, "Becton & Dickinson" }, 
	{ 0x117e, "T/R Systems" }, 
	{ 0x117f, "Integrated Circuit Systems" }, 
	{ 0x1180, "Ricoh Co Ltd" }, 
	{ 0x1181, "Telmatics International" }, 
	{ 0x1183, "Fujikura Ltd" }, 
	{ 0x1184, "Forks Inc" }, 
	{ 0x1185, "Dataworld International Ltd" }, 
	{ 0x1186, "D-Link System Inc" }, 
	{ 0x1187, "Advanced Technology Laboratories, Inc." }, 
	{ 0x1188, "Shima Seiki Manufacturing Ltd." }, 
	{ 0x1189, "Matsushita Electronics Co Ltd" }, 
	{ 0x118a, "Hilevel Technology" }, 
	{ 0x118b, "Hypertec Pty Limited" }, 
	{ 0x118c, "Corollary, Inc" }, 
	{ 0x118d, "BitFlow Inc" }, 
	{ 0x118e, "Hermstedt GmbH" }, 
	{ 0x118f, "Green Logic" }, 
	{ 0x1190, "Tripace" }, 
	{ 0x1191, "Artop Electronic Corp" }, 
	{ 0x1192, "Densan Company Ltd" }, 
	{ 0x1193, "Zeitnet Inc." }, 
	{ 0x1194, "Toucan Technology" }, 
	{ 0x1195, "Ratoc System Inc" }, 
	{ 0x1196, "Hytec Electronics Ltd" }, 
	{ 0x1197, "Gage Applied Sciences, Inc." }, 
	{ 0x1198, "Lambda Systems Inc" }, 
	{ 0x1199, "Attachmate Corporation" }, 
	{ 0x119a, "Mind Share, Inc." }, 
	{ 0x119b, "Omega Micro Inc." }, 
	{ 0x119c, "Information Technology Inst." }, 
	{ 0x119d, "Bug, Inc. Sapporo Japan" }, 
	{ 0x119e, "Fujitsu Microelectronics Ltd." }, 
	{ 0x119f, "Bull HN Information Systems" }, 
	{ 0x11a0, "Convex Computer Corporation" }, 
	{ 0x11a1, "Hamamatsu Photonics K.K." }, 
	{ 0x11a2, "Sierra Research and Technology" }, 
	{ 0x11a3, "Deuretzbacher GmbH & Co. Eng. KG" }, 
	{ 0x11a4, "Barco Graphics NV" }, 
	{ 0x11a5, "Microunity Systems Eng. Inc" }, 
	{ 0x11a6, "Pure Data Ltd." }, 
	{ 0x11a7, "Power Computing Corp." }, 
	{ 0x11a8, "Systech Corp." }, 
	{ 0x11a9, "InnoSys Inc." }, 
	{ 0x11aa, "Actel" }, 
	{ 0x11ab, "Galileo Technology Ltd." }, 
	{ 0x11ac, "Canon Information Systems Research Aust." }, 
	{ 0x11ad, "Lite-On Communications Inc" }, 
	{ 0x11ae, "Aztech System Ltd" }, 
	{ 0x11af, "Avid Technology Inc." }, 
	{ 0x11b0, "V3 Semiconductor Inc." }, 
	{ 0x11b1, "Apricot Computers" }, 
	{ 0x11b2, "Eastman Kodak" }, 
	{ 0x11b3, "Barr Systems Inc." }, 
	{ 0x11b4, "Leitch Technology International" }, 
	{ 0x11b5, "Radstone Technology Plc" }, 
	{ 0x11b6, "United Video Corp" }, 
	{ 0x11b7, "Motorola" }, 
	{ 0x11b8, "XPoint Technologies, Inc" }, 
	{ 0x11b9, "Pathlight Technology Inc." }, 
	{ 0x11ba, "Videotron Corp" }, 
	{ 0x11bb, "Pyramid Technology" }, 
	{ 0x11bc, "Network Peripherals Inc" }, 
	{ 0x11bd, "Pinnacle Systems Inc." }, 
	{ 0x11be, "International Microcircuits Inc" }, 
	{ 0x11bf, "Astrodesign, Inc." }, 
	{ 0x11c0, "Hewlett Packard" }, 
	{ 0x11c1, "Lucent Microelectronics" }, 
	{ 0x11c2, "Sand Microelectronics" }, 
	{ 0x11c3, "NEC Corp" }, 
	{ 0x11c4, "Document Technologies, Inc" }, 
	{ 0x11c5, "Shiva Corporation" }, 
	{ 0x11c6, "Dainippon Screen Mfg. Co. Ltd" }, 
	{ 0x11c7, "D.C.M. Data Systems" }, 
	{ 0x11c8, "Dolphin Interconnect Solutions AS" }, 
	{ 0x11c9, "Magma" }, 
	{ 0x11ca, "LSI Systems, Inc" }, 
	{ 0x11cb, "Specialix Research Ltd." }, 
	{ 0x11cc, "Michels & Kleberhoff Computer GmbH" }, 
	{ 0x11cd, "HAL Computer Systems, Inc." }, 
	{ 0x11ce, "Netaccess" }, 
	{ 0x11cf, "Pioneer Electronic Corporation" }, 
	{ 0x11d0, "Lockheed Martin Federal Systems-Manassas" }, 
	{ 0x11d1, "Auravision" }, 
	{ 0x11d2, "Intercom Inc." }, 
	{ 0x11d3, "Trancell Systems Inc" }, 
	{ 0x11d4, "Analog Devices" }, 
	{ 0x11d5, "Ikon Corporation" }, 
	{ 0x11d6, "Tekelec Telecom" }, 
	{ 0x11d7, "Trenton Technology, Inc." }, 
	{ 0x11d8, "Image Technologies Development" }, 
	{ 0x11d9, "TEC Corporation" }, 
	{ 0x11da, "Novell" }, 
	{ 0x11db, "Sega Enterprises Ltd" }, 
	{ 0x11dc, "Questra Corporation" }, 
	{ 0x11dd, "Crosfield Electronics Limited" }, 
	{ 0x11de, "Zoran Corporation" }, 
	{ 0x11df, "New Wave PDG" }, 
	{ 0x11e0, "Cray Communications A/S" }, 
	{ 0x11e1, "GEC Plessey Semi Inc." }, 
	{ 0x11e2, "Samsung Information Systems America" }, 
	{ 0x11e3, "Quicklogic Corporation" }, 
	{ 0x11e4, "Second Wave Inc" }, 
	{ 0x11e5, "IIX Consulting" }, 
	{ 0x11e6, "Mitsui-Zosen System Research" }, 
	{ 0x11e7, "Toshiba America, Elec. Company" }, 
	{ 0x11e8, "Digital Processing Systems Inc." }, 
	{ 0x11e9, "Highwater Designs Ltd." }, 
	{ 0x11ea, "Elsag Bailey" }, 
	{ 0x11eb, "Formation Inc." }, 
	{ 0x11ec, "Coreco Inc" }, 
	{ 0x11ed, "Mediamatics" }, 
	{ 0x11ee, "Dome Imaging Systems Inc" }, 
	{ 0x11ef, "Nicolet Technologies B.V." }, 
	{ 0x11f0, "Compu-Shack" }, 
	{ 0x11f1, "Symbios Logic Inc" }, 
	{ 0x11f2, "Picture Tel Japan K.K." }, 
	{ 0x11f3, "Keithley Metrabyte" }, 
	{ 0x11f4, "Kinetic Systems Corporation" }, 
	{ 0x11f5, "Computing Devices International" }, 
	{ 0x11f6, "Compex" }, 
	{ 0x11f7, "Scientific Atlanta" }, 
	{ 0x11f8, "PMC-Sierra Inc." }, 
	{ 0x11f9, "I-Cube Inc" }, 
	{ 0x11fa, "Kasan Electronics Company, Ltd." }, 
	{ 0x11fb, "Datel Inc" }, 
	{ 0x11fc, "Silicon Magic" }, 
	{ 0x11fd, "High Street Consultants" }, 
	{ 0x11fe, "Comtrol Corporation" }, 
	{ 0x11ff, "Scion Corporation" }, 
	{ 0x1200, "CSS Corporation" }, 
	{ 0x1201, "Vista Controls Corp" }, 
	{ 0x1202, "Network General Corp." }, 
	{ 0x1203, "Bayer Corporation, Agfa Division" }, 
	{ 0x1204, "Lattice Semiconductor Corporation" }, 
	{ 0x1205, "Array Corporation" }, 
	{ 0x1206, "Amdahl Corporation" }, 
	{ 0x1208, "Parsytec GmbH" }, 
	{ 0x1209, "SCI Systems Inc" }, 
	{ 0x120a, "Synaptel" }, 
	{ 0x120b, "Adaptive Solutions" }, 
	{ 0x120c, "Technical Corp." }, 
	{ 0x120d, "Compression Labs, Inc." }, 
	{ 0x120e, "Cyclades Corporation" }, 
	{ 0x120f, "Essential Communications" }, 
	{ 0x1210, "Hyperparallel Technologies" }, 
	{ 0x1211, "Braintech Inc" }, 
	{ 0x1212, "Kingston Technology Corp." }, 
	{ 0x1213, "Applied Intelligent Systems, Inc." }, 
	{ 0x1214, "Performance Technologies, Inc." }, 
	{ 0x1215, "Interware Co., Ltd" }, 
	{ 0x1216, "Purup Prepress A/S" }, 
	{ 0x1217, "O2 Micro, Inc." }, 
	{ 0x1218, "Hybricon Corp." }, 
	{ 0x1219, "First Virtual Corporation" }, 
	{ 0x121a, "3Dfx Interactive, Inc." }, 
	{ 0x121b, "Advanced Telecommunications Modules" }, 
	{ 0x121c, "Nippon Texaco., Ltd" }, 
	{ 0x121d, "Lippert Automationstechnik GmbH" }, 
	{ 0x121e, "CSPI" }, 
	{ 0x121f, "Arcus Technology, Inc." }, 
	{ 0x1220, "Ariel Corporation" }, 
	{ 0x1221, "Contec Co., Ltd" }, 
	{ 0x1222, "Ancor Communications, Inc." }, 
	{ 0x1223, "Artesyn Communication Products" }, 
	{ 0x1224, "Interactive Images" }, 
	{ 0x1225, "Power I/O, Inc." }, 
	{ 0x1227, "Tech-Source" }, 
	{ 0x1228, "Norsk Elektro Optikk A/S" }, 
	{ 0x1229, "Data Kinesis Inc." }, 
	{ 0x122a, "Integrated Telecom" }, 
	{ 0x122b, "LG Industrial Systems Co., Ltd" }, 
	{ 0x122c, "Sican GmbH" }, 
	{ 0x122d, "Aztech System Ltd" }, 
	{ 0x122e, "Xyratex" }, 
	{ 0x122f, "Andrew Corporation" }, 
	{ 0x1230, "Fishcamp Engineering" }, 
	{ 0x1231, "Woodward McCoach, Inc." }, 
	{ 0x1232, "GPT Limited" }, 
	{ 0x1233, "Bus-Tech, Inc." }, 
	{ 0x1234, "Technical Corp." }, 
	{ 0x1235, "Risq Modular Systems, Inc." }, 
	{ 0x1236, "Sigma Designs Corporation" }, 
	{ 0x1237, "Alta Technology Corporation" }, 
	{ 0x1238, "Adtran" }, 
	{ 0x1239, "3DO Company" }, 
	{ 0x123a, "Visicom Laboratories, Inc." }, 
	{ 0x123b, "Seeq Technology, Inc." }, 
	{ 0x123c, "Century Systems, Inc." }, 
	{ 0x123d, "Engineering Design Team, Inc." }, 
	{ 0x123e, "Simutech, Inc." }, 
	{ 0x123f, "C-Cube Microsystems" }, 
	{ 0x1240, "Marathon Technologies Corp." }, 
	{ 0x1241, "DSC Communications" }, 
	{ 0x1242, "Jaycor Networks, Inc." }, 
	{ 0x1243, "Delphax" }, 
	{ 0x1244, "AVM Audiovisuelles MKTG & Computer System GmbH" }, 
	{ 0x1245, "A.P.D., S.A." }, 
	{ 0x1246, "Dipix Technologies, Inc." }, 
	{ 0x1247, "Xylon Research, Inc." }, 
	{ 0x1248, "Central Data Corporation" }, 
	{ 0x1249, "Samsung Electronics Co., Ltd." }, 
	{ 0x124a, "AEG Electrocom GmbH" }, 
	{ 0x124b, "SBS/Greenspring Modular I/O" }, 
	{ 0x124c, "Solitron Technologies, Inc." }, 
	{ 0x124d, "Stallion Technologies, Inc." }, 
	{ 0x124e, "Cylink" }, 
	{ 0x124f, "Infotrend Technology, Inc." }, 
	{ 0x1250, "Hitachi Microcomputer System Ltd" }, 
	{ 0x1251, "VLSI Solutions Oy" }, 
	{ 0x1253, "Guzik Technical Enterprises" }, 
	{ 0x1254, "Linear Systems Ltd." }, 
	{ 0x1255, "Optibase Ltd" }, 
	{ 0x1256, "Perceptive Solutions, Inc." }, 
	{ 0x1257, "Vertex Networks, Inc." }, 
	{ 0x1258, "Gilbarco, Inc." }, 
	{ 0x1259, "Allied Telesyn International" }, 
	{ 0x125a, "ABB Power Systems" }, 
	{ 0x125b, "Asix Electronics Corporation" }, 
	{ 0x125c, "Aurora Technologies, Inc." }, 
	{ 0x125d, "ESS Technology" }, 
	{ 0x125e, "Specialvideo Engineering SRL" }, 
	{ 0x125f, "Concurrent Technologies, Inc." }, 
	{ 0x1260, "Harris Semiconductor" }, 
	{ 0x1261, "Matsushita-Kotobuki Electronics Industries, Ltd." }, 
	{ 0x1262, "ES Computer Company, Ltd." }, 
	{ 0x1263, "Sonic Solutions" }, 
	{ 0x1264, "Aval Nagasaki Corporation" }, 
	{ 0x1265, "Casio Computer Co., Ltd." }, 
	{ 0x1266, "Microdyne Corporation" }, 
	{ 0x1267, "S. A. Telecommunications" }, 
	{ 0x1268, "Tektronix" }, 
	{ 0x1269, "Thomson-CSF/TTM" }, 
	{ 0x126a, "Lexmark International, Inc." }, 
	{ 0x126b, "Adax, Inc." }, 
	{ 0x126c, "Northern Telecom" }, 
	{ 0x126d, "Splash Technology, Inc." }, 
	{ 0x126e, "Sumitomo Metal Industries, Ltd." }, 
	{ 0x126f, "Silicon Motion, Inc." }, 
	{ 0x1270, "Olympus Optical Co., Ltd." }, 
	{ 0x1271, "GW Instruments" }, 
	{ 0x1272, "Telematics International" }, 
	{ 0x1273, "Hughes Network Systems" }, 
	{ 0x1274, "Ensoniq" }, 
	{ 0x1275, "Network Appliance Corporation" }, 
	{ 0x1276, "Switched Network Technologies, Inc." }, 
	{ 0x1277, "Comstream" }, 
	{ 0x1278, "Transtech Parallel Systems Ltd." }, 
	{ 0x1279, "Transmeta Corporation" }, 
	{ 0x127a, "Rockwell International" }, 
	{ 0x127b, "Pixera Corporation" }, 
	{ 0x127c, "Crosspoint Solutions, Inc." }, 
	{ 0x127d, "Vela Research" }, 
	{ 0x127e, "Winnov, L.P." }, 
	{ 0x127f, "Fujifilm" }, 
	{ 0x1280, "Photoscript Group Ltd." }, 
	{ 0x1281, "Yokogawa Electric Corporation" }, 
	{ 0x1282, "Davicom Semiconductor, Inc." }, 
	{ 0x1283, "Integrated Technology Express, Inc." }, 
	{ 0x1284, "Sahara Networks, Inc." }, 
	{ 0x1285, "Platform Technologies, Inc." }, 
	{ 0x1286, "Mazet GmbH" }, 
	{ 0x1287, "M-Pact, Inc." }, 
	{ 0x1288, "Timestep Corporation" }, 
	{ 0x1289, "AVC Technology, Inc." }, 
	{ 0x128a, "Asante Technologies, Inc." }, 
	{ 0x128b, "Transwitch Corporation" }, 
	{ 0x128c, "Retix Corporation" }, 
	{ 0x128d, "G2 Networks, Inc." }, 
	{ 0x128e, "Hoontech Corporation/Samho Multi Tech Ltd." }, 
	{ 0x128f, "Tateno Dennou, Inc." }, 
	{ 0x1290, "Sord Computer Corporation" }, 
	{ 0x1291, "NCS Computer Italia" }, 
	{ 0x1292, "Tritech Microelectronics Inc" }, 
	{ 0x1293, "Media Reality Technology" }, 
	{ 0x1294, "Rhetorex, Inc." }, 
	{ 0x1295, "Imagenation Corporation" }, 
	{ 0x1296, "Kofax Image Products" }, 
	{ 0x1297, "Holco Enterprise Co, Ltd/Shuttle Computer" }, 
	{ 0x1298, "Spellcaster Telecommunications Inc." }, 
	{ 0x1299, "Knowledge Technology Lab." }, 
	{ 0x129a, "VMetro, inc." }, 
	{ 0x129b, "Image Access" }, 
	{ 0x129c, "Jaycor" }, 
	{ 0x129d, "Compcore Multimedia, Inc." }, 
	{ 0x129e, "Victor Company of Japan, Ltd." }, 
	{ 0x129f, "OEC Medical Systems, Inc." }, 
	{ 0x12a0, "Allen-Bradley Company" }, 
	{ 0x12a1, "Simpact Associates, Inc." }, 
	{ 0x12a2, "Newgen Systems Corporation" }, 
	{ 0x12a3, "Lucent Technologies" }, 
	{ 0x12a4, "NTT Electronics Technology Company" }, 
	{ 0x12a5, "Vision Dynamics Ltd." }, 
	{ 0x12a6, "Scalable Networks, Inc." }, 
	{ 0x12a7, "AMO GmbH" }, 
	{ 0x12a8, "News Datacom" }, 
	{ 0x12a9, "Xiotech Corporation" }, 
	{ 0x12aa, "SDL Communications, Inc." }, 
	{ 0x12ab, "Yuan Yuan Enterprise Co., Ltd." }, 
	{ 0x12ac, "Measurex Corporation" }, 
	{ 0x12ad, "Multidata GmbH" }, 
	{ 0x12ae, "Alteon Networks Inc." }, 
	{ 0x12af, "TDK USA Corp" }, 
	{ 0x12b0, "Jorge Scientific Corp" }, 
	{ 0x12b1, "GammaLink" }, 
	{ 0x12b2, "General Signal Networks" }, 
	{ 0x12b3, "Inter-Face Co Ltd" }, 
	{ 0x12b4, "FutureTel Inc" }, 
	{ 0x12b5, "Granite Systems Inc." }, 
	{ 0x12b6, "Natural Microsystems" }, 
	{ 0x12b7, "Cognex Modular Vision Systems Div. - Acumen Inc." }, 
	{ 0x12b8, "Korg" }, 
	{ 0x12b9, "US Robotics/3Com" }, 
	{ 0x12ba, "PMC Sierra" }, 
	{ 0x12bb, "Nippon Unisoft Corporation" }, 
	{ 0x12bc, "Array Microsystems" }, 
	{ 0x12bd, "Computerm Corp." }, 
	{ 0x12be, "Anchor Chips Inc." }, 
	{ 0x12bf, "Fujifilm Microdevices" }, 
	{ 0x12c0, "Infimed" }, 
	{ 0x12c1, "GMM Research Corp" }, 
	{ 0x12c2, "Mentec Limited" }, 
	{ 0x12c3, "Holtek Microelectronics Inc" }, 
	{ 0x12c4, "Connect Tech Inc" }, 
	{ 0x12c5, "Picture Elements Incorporated" }, 
	{ 0x12c6, "Mitani Corporation" }, 
	{ 0x12c7, "Dialogic Corp" }, 
	{ 0x12c8, "G Force Co, Ltd" }, 
	{ 0x12c9, "Gigi Operations" }, 
	{ 0x12ca, "Integrated Computing Engines" }, 
	{ 0x12cb, "Antex Electronics Corporation" }, 
	{ 0x12cc, "Pluto Technologies International" }, 
	{ 0x12cd, "Aims Lab" }, 
	{ 0x12ce, "Netspeed Inc." }, 
	{ 0x12cf, "Prophet Systems, Inc." }, 
	{ 0x12d0, "GDE Systems, Inc." }, 
	{ 0x12d1, "PSITech" }, 
	{ 0x12d2, "NVidia / SGS Thomson (Joint Venture)" }, 
	{ 0x12d3, "Vingmed Sound A/S" }, 
	{ 0x12d4, "Ulticom (Formerly DGM&S)" }, 
	{ 0x12d5, "Equator Technologies" }, 
	{ 0x12d6, "Analogic Corp" }, 
	{ 0x12d7, "Biotronic SRL" }, 
	{ 0x12d8, "Pericom Semiconductor" }, 
	{ 0x12d9, "Aculab PLC" }, 
	{ 0x12da, "True Time Inc." }, 
	{ 0x12db, "Annapolis Micro Systems, Inc" }, 
	{ 0x12dc, "Symicron Computer Communication Ltd." }, 
	{ 0x12dd, "Management Graphics" }, 
	{ 0x12de, "Rainbow Technologies" }, 
	{ 0x12df, "SBS Technologies Inc" }, 
	{ 0x12e0, "Chase Research" }, 
	{ 0x12e1, "Nintendo Co, Ltd" }, 
	{ 0x12e2, "Datum Inc. Bancomm-Timing Division" }, 
	{ 0x12e3, "Imation Corp - Medical Imaging Systems" }, 
	{ 0x12e4, "Brooktrout Technology Inc" }, 
	{ 0x12e5, "Apex Semiconductor Inc" }, 
	{ 0x12e6, "Cirel Systems" }, 
	{ 0x12e7, "Sunsgroup Corporation" }, 
	{ 0x12e8, "Crisc Corp" }, 
	{ 0x12e9, "GE Spacenet" }, 
	{ 0x12ea, "Zuken" }, 
	{ 0x12eb, "Aureal Semiconductor" }, 
	{ 0x12ec, "3A International, Inc." }, 
	{ 0x12ed, "Optivision Inc." }, 
	{ 0x12ee, "Orange Micro" }, 
	{ 0x12ef, "Vienna Systems" }, 
	{ 0x12f0, "Pentek" }, 
	{ 0x12f1, "Sorenson Vision Inc" }, 
	{ 0x12f2, "Gammagraphx, Inc." }, 
	{ 0x12f3, "Radstone Technology" }, 
	{ 0x12f4, "Megatel" }, 
	{ 0x12f5, "Forks" }, 
	{ 0x12f6, "Dawson France" }, 
	{ 0x12f7, "Cognex" }, 
	{ 0x12f8, "Electronic Design GmbH" }, 
	{ 0x12f9, "Four Fold Ltd" }, 
	{ 0x12fb, "Spectrum Signal Processing" }, 
	{ 0x12fc, "Capital Equipment Corp" }, 
	{ 0x12fd, "I2S" }, 
	{ 0x12fe, "ESD Electronic System Design GmbH" }, 
	{ 0x12ff, "Lexicon" }, 
	{ 0x1300, "Harman International Industries Inc" }, 
	{ 0x1302, "Computer Sciences Corp" }, 
	{ 0x1303, "Innovative Integration" }, 
	{ 0x1304, "Juniper Networks" }, 
	{ 0x1305, "Netphone, Inc" }, 
	{ 0x1306, "Duet Technologies" }, 
	{ 0x1307, "Computer Boards" }, 
	{ 0x1308, "Jato Technologies Inc." }, 
	{ 0x1309, "AB Semiconductor Ltd" }, 
	{ 0x130a, "Mitsubishi Electric Microcomputer" }, 
	{ 0x130b, "Colorgraphic Communications Corp" }, 
	{ 0x130c, "Ambex Technologies, Inc" }, 
	{ 0x130d, "Accelerix Inc" }, 
	{ 0x130e, "Yamatake-Honeywell Co. Ltd" }, 
	{ 0x130f, "Advanet Inc" }, 
	{ 0x1310, "Gespac" }, 
	{ 0x1311, "Videoserver, Inc" }, 
	{ 0x1312, "Acuity Imaging, Inc" }, 
	{ 0x1313, "Yaskawa Electric Co." }, 
	{ 0x1316, "Teradyne Inc" }, 
	{ 0x1317, "Linksys" }, 
	{ 0x1318, "Packet Engines Inc." }, 
	{ 0x1319, "Fortemedia, Inc" }, 
	{ 0x131a, "Finisar Corp." }, 
	{ 0x131c, "Nippon Electro-Sensory Devices Corp" }, 
	{ 0x131d, "Sysmic, Inc." }, 
	{ 0x131e, "Xinex Networks Inc" }, 
	{ 0x131f, "Siig Inc" }, 
	{ 0x1320, "Crypto AG" }, 
	{ 0x1321, "Arcobel Graphics BV" }, 
	{ 0x1322, "MTT Co., Ltd" }, 
	{ 0x1323, "Dome Inc" }, 
	{ 0x1324, "Sphere Communications" }, 
	{ 0x1325, "Salix Technologies, Inc" }, 
	{ 0x1326, "Seachange international" }, 
	{ 0x1327, "Voss scientific" }, 
	{ 0x1328, "quadrant international" }, 
	{ 0x1329, "Productivity Enhancement" }, 
	{ 0x132a, "Microcom Inc." }, 
	{ 0x132b, "Broadband Technologies" }, 
	{ 0x132c, "Micrel Inc" }, 
	{ 0x132d, "Integrated Silicon Solution, Inc." }, 
	{ 0x1330, "MMC Networks" }, 
	{ 0x1331, "Radisys Corp." }, 
	{ 0x1332, "Micro Memory" }, 
	{ 0x1334, "Redcreek Communications, Inc" }, 
	{ 0x1335, "Videomail, Inc" }, 
	{ 0x1337, "Third Planet Publishing" }, 
	{ 0x1338, "BT Electronics" }, 
	{ 0x133a, "Vtel Corp" }, 
	{ 0x133b, "Softcom Microsystems" }, 
	{ 0x133c, "Holontech Corp" }, 
	{ 0x133d, "SS Technologies" }, 
	{ 0x133e, "Virtual Computer Corp" }, 
	{ 0x133f, "SCM Microsystems" }, 
	{ 0x1340, "Atalla Corp" }, 
	{ 0x1341, "Kyoto Microcomputer Co" }, 
	{ 0x1342, "Promax Systems Inc" }, 
	{ 0x1343, "Phylon Communications Inc" }, 
	{ 0x1344, "Crucial Technology" }, 
	{ 0x1345, "Arescom Inc" }, 
	{ 0x1347, "Odetics" }, 
	{ 0x1349, "Sumitomo Electric Industries, Ltd." }, 
	{ 0x134a, "DTC Technology Corp." }, 
	{ 0x134b, "ARK Research Corp." }, 
	{ 0x134c, "Chori Joho System Co. Ltd" }, 
	{ 0x134d, "PCTel Inc" }, 
	{ 0x134e, "CSTI" }, 
	{ 0x134f, "Algo System Co Ltd" }, 
	{ 0x1350, "Systec Co. Ltd" }, 
	{ 0x1351, "Sonix Inc" }, 
	{ 0x1353, "Dassault A.T." }, 
	{ 0x1354, "Dwave System Inc" }, 
	{ 0x1355, "Kratos Analytical Ltd" }, 
	{ 0x1356, "The Logical Co" }, 
	{ 0x1359, "Prisa Networks" }, 
	{ 0x135a, "Brain Boxes" }, 
	{ 0x135b, "Giganet Inc" }, 
	{ 0x135c, "Quatech Inc" }, 
	{ 0x135d, "ABB Network Partner AB" }, 
	{ 0x135e, "Sealevel Systems Inc" }, 
	{ 0x135f, "I-Data International A-S" }, 
	{ 0x1360, "Meinberg Funkuhren" }, 
	{ 0x1361, "Soliton Systems K.K." }, 
	{ 0x1362, "Fujifacom Corporation" }, 
	{ 0x1363, "Phoenix Technology Ltd" }, 
	{ 0x1364, "ATM Communications Inc" }, 
	{ 0x1365, "Hypercope GmbH" }, 
	{ 0x1366, "Teijin Seiki Co. Ltd" }, 
	{ 0x1367, "Hitachi Zosen Corporation" }, 
	{ 0x1368, "Skyware Corporation" }, 
	{ 0x1369, "Digigram" }, 
	{ 0x136a, "High Soft Tech" }, 
	{ 0x136b, "Kawasaki Steel Corporation" }, 
	{ 0x136c, "Adtek System Science Co Ltd" }, 
	{ 0x136d, "Gigalabs Inc" }, 
	{ 0x136f, "Applied Magic Inc" }, 
	{ 0x1370, "ATL Products" }, 
	{ 0x1371, "CNet Technology Inc" }, 
	{ 0x1373, "Silicon Vision Inc" }, 
	{ 0x1374, "Silicom Ltd" }, 
	{ 0x1375, "Argosystems Inc" }, 
	{ 0x1376, "LMC" }, 
	{ 0x1377, "Electronic Equipment Production & Distribution GmbH" }, 
	{ 0x1378, "Telemann Co. Ltd" }, 
	{ 0x1379, "Asahi Kasei Microsystems Co Ltd" }, 
	{ 0x137a, "Mark of the Unicorn Inc" }, 
	{ 0x137b, "PPT Vision" }, 
	{ 0x137c, "Iwatsu Electric Co Ltd" }, 
	{ 0x137d, "Dynachip Corporation" }, 
	{ 0x137e, "Patriot Scientific Corporation" }, 
	{ 0x137f, "Japan Satellite Systems Inc" }, 
	{ 0x1380, "Sanritz Automation Co Ltd" }, 
	{ 0x1381, "Brains Co. Ltd" }, 
	{ 0x1382, "Marian - Electronic & Software" }, 
	{ 0x1383, "Controlnet Inc" }, 
	{ 0x1384, "Reality Simulation Systems Inc" }, 
	{ 0x1385, "Netgear" }, 
	{ 0x1386, "Video Domain Technologies" }, 
	{ 0x1387, "Systran Corp" }, 
	{ 0x1388, "Hitachi Information Technology Co Ltd" }, 
	{ 0x1389, "Applicom International" }, 
	{ 0x138a, "Fusion Micromedia Corp" }, 
	{ 0x138b, "Tokimec Inc" }, 
	{ 0x138c, "Silicon Reality" }, 
	{ 0x138d, "Future Techno Designs pte Ltd" }, 
	{ 0x138e, "Basler GmbH" }, 
	{ 0x138f, "Patapsco Designs Inc" }, 
	{ 0x1390, "Concept Development Inc" }, 
	{ 0x1391, "Development Concepts Inc" }, 
	{ 0x1392, "Medialight Inc" }, 
	{ 0x1393, "Moxa Technologies Co Ltd" }, 
	{ 0x1394, "Level One Communications" }, 
	{ 0x1395, "Ambicom Inc" }, 
	{ 0x1396, "Cipher Systems Inc" }, 
	{ 0x1397, "Cologne Chip Designs GmbH" }, 
	{ 0x1398, "Clarion co. Ltd" }, 
	{ 0x1399, "Rios systems Co Ltd" }, 
	{ 0x139a, "Alacritech Inc" }, 
	{ 0x139b, "Mediasonic Multimedia Systems Ltd" }, 
	{ 0x139c, "Quantum 3d Inc" }, 
	{ 0x139d, "EPL limited" }, 
	{ 0x139e, "Media4" }, 
	{ 0x139f, "Aethra s.r.l." }, 
	{ 0x13a0, "Crystal Group Inc" }, 
	{ 0x13a1, "Kawasaki Heavy Industries Ltd" }, 
	{ 0x13a2, "Ositech Communications Inc" }, 
	{ 0x13a3, "Hifn Inc." }, 
	{ 0x13a4, "Rascom Inc" }, 
	{ 0x13a5, "Audio Digital Imaging Inc" }, 
	{ 0x13a6, "Videonics Inc" }, 
	{ 0x13a7, "Teles AG" }, 
	{ 0x13a8, "Exar Corp." }, 
	{ 0x13a9, "Siemens Medical Systems, Ultrasound Group" }, 
	{ 0x13aa, "Broadband Networks Inc" }, 
	{ 0x13ab, "Arcom Control Systems Ltd" }, 
	{ 0x13ac, "Motion Media Technology Ltd" }, 
	{ 0x13ad, "Nexus Inc" }, 
	{ 0x13ae, "ALD Technology Ltd" }, 
	{ 0x13af, "T.Sqware" }, 
	{ 0x13b0, "Maxspeed Corp" }, 
	{ 0x13b1, "Tamura corporation" }, 
	{ 0x13b2, "Techno Chips Co. Ltd" }, 
	{ 0x13b3, "Lanart Corporation" }, 
	{ 0x13b4, "Wellbean Co Inc" }, 
	{ 0x13b5, "ARM" }, 
	{ 0x13b6, "Dlog GmbH" }, 
	{ 0x13b7, "Logic Devices Inc" }, 
	{ 0x13b8, "Nokia Telecommunications oy" }, 
	{ 0x13b9, "Elecom Co Ltd" }, 
	{ 0x13ba, "Oxford Instruments" }, 
	{ 0x13bb, "Sanyo Technosound Co Ltd" }, 
	{ 0x13bc, "Bitran Corporation" }, 
	{ 0x13bd, "Sharp corporation" }, 
	{ 0x13be, "Miroku Jyoho Service Co. Ltd" }, 
	{ 0x13bf, "Sharewave Inc" }, 
	{ 0x13c0, "Microgate Corporation" }, 
	{ 0x13c1, "3ware Inc" }, 
	{ 0x13c2, "Technotrend Systemtechnik GmbH" }, 
	{ 0x13c3, "Janz Computer AG" }, 
	{ 0x13c4, "Phase Metrics" }, 
	{ 0x13c5, "Alphi Technology Corp" }, 
	{ 0x13c6, "Condor Engineering Inc" }, 
	{ 0x13c7, "Blue Chip Technology Ltd" }, 
	{ 0x13c8, "Apptech Inc" }, 
	{ 0x13c9, "Eaton Corporation" }, 
	{ 0x13ca, "Iomega Corporation" }, 
	{ 0x13cb, "Yano Electric Co Ltd" }, 
	{ 0x13cc, "Metheus Corporation" }, 
	{ 0x13cd, "Compatible Systems Corporation" }, 
	{ 0x13ce, "Cocom A/S" }, 
	{ 0x13cf, "Studio Audio & Video Ltd" }, 
	{ 0x13d0, "Techsan Electronics Co Ltd" }, 
	{ 0x13d1, "Abocom Systems Inc" }, 
	{ 0x13d2, "Shark Multimedia Inc" }, 
	{ 0x13d3, "IMC Networks" }, 
	{ 0x13d4, "Graphics Microsystems Inc" }, 
	{ 0x13d5, "Media 100 Inc" }, 
	{ 0x13d6, "K.I. Technology Co Ltd" }, 
	{ 0x13d7, "Toshiba Engineering Corporation" }, 
	{ 0x13d8, "Phobos corporation" }, 
	{ 0x13d9, "Apex PC Solutions Inc" }, 
	{ 0x13da, "Intresource Systems pte Ltd" }, 
	{ 0x13db, "Janich & Klass Computertechnik GmbH" }, 
	{ 0x13dc, "Netboost Corporation" }, 
	{ 0x13dd, "Multimedia Bundle Inc" }, 
	{ 0x13de, "ABB Robotics Products AB" }, 
	{ 0x13df, "E-Tech Inc" }, 
	{ 0x13e0, "GVC Corporation" }, 
	{ 0x13e1, "Silicom Multimedia Systems Inc" }, 
	{ 0x13e2, "Dynamics Research Corporation" }, 
	{ 0x13e3, "Nest Inc" }, 
	{ 0x13e4, "Calculex Inc" }, 
	{ 0x13e5, "Telesoft Design Ltd" }, 
	{ 0x13e6, "Argosy research Inc" }, 
	{ 0x13e7, "NAC Incorporated" }, 
	{ 0x13e8, "Chip Express Corporation" }, 
	{ 0x13e9, "Chip Express Corporation" }, 
	{ 0x13ea, "Dallas Semiconductor" }, 
	{ 0x13eb, "Hauppauge Computer Works Inc" }, 
	{ 0x13ec, "Zydacron Inc" }, 
	{ 0x13ed, "Raytheion E-Systems" }, 
	{ 0x13ee, "Hayes Microcomputer Products Inc" }, 
	{ 0x13ef, "Coppercom Inc" }, 
	{ 0x13f0, "Sundance Technology Inc" }, 
	{ 0x13f1, "Oce' - Technologies B.V." }, 
	{ 0x13f2, "Ford Microelectronics Inc" }, 
	{ 0x13f3, "Mcdata Corporation" }, 
	{ 0x13f4, "Troika Networks, Inc." }, 
	{ 0x13f5, "Kansai Electric Co. Ltd" }, 
	{ 0x13f6, "C-Media Electronics Inc" }, 
	{ 0x13f7, "Wildfire Communications" }, 
	{ 0x13f8, "Ad Lib Multimedia Inc" }, 
	{ 0x13f9, "NTT Advanced Technology Corp." }, 
	{ 0x13fa, "Pentland Systems Ltd" }, 
	{ 0x13fb, "Aydin Corp" }, 
	{ 0x13fc, "Computer Peripherals International" }, 
	{ 0x13fd, "Micro Science Inc" }, 
	{ 0x13fe, "Advantech Co. Ltd" }, 
	{ 0x13ff, "Silicon Spice Inc" }, 
	{ 0x1400, "Artx Inc" }, 
	{ 0x1401, "CR-Systems A/S" }, 
	{ 0x1402, "Meilhaus Electronic GmbH" }, 
	{ 0x1403, "Ascor Inc" }, 
	{ 0x1404, "Fundamental Software Inc" }, 
	{ 0x1405, "Excalibur Systems Inc" }, 
	{ 0x1406, "Oce' Printing Systems GmbH" }, 
	{ 0x1407, "Lava Computer mfg Inc" }, 
	{ 0x1408, "Aloka Co. Ltd" }, 
	{ 0x1409, "Timedia Technology Co Ltd" }, 
	{ 0x140a, "DSP Research Inc" }, 
	{ 0x140b, "Ramix Inc" }, 
	{ 0x140c, "Elmic Systems Inc" }, 
	{ 0x140d, "Matsushita Electric Works Ltd" }, 
	{ 0x140e, "Goepel Electronic GmbH" }, 
	{ 0x140f, "Salient Systems Corp" }, 
	{ 0x1410, "Midas lab Inc" }, 
	{ 0x1411, "Ikos Systems Inc" }, 
	{ 0x1412, "IC Ensemble Inc" }, 
	{ 0x1413, "Addonics" }, 
	{ 0x1414, "Microsoft Corporation" }, 
	{ 0x1415, "Oxford Semiconductor Ltd" }, 
	{ 0x1416, "Multiwave Innovation pte Ltd" }, 
	{ 0x1417, "Convergenet Technologies Inc" }, 
	{ 0x1418, "Kyushu electronics systems Inc" }, 
	{ 0x1419, "Excel Switching Corp" }, 
	{ 0x141a, "Apache Micro Peripherals Inc" }, 
	{ 0x141b, "Zoom Telephonics Inc" }, 
	{ 0x141d, "Digitan Systems Inc" }, 
	{ 0x141e, "Fanuc Ltd" }, 
	{ 0x141f, "Visiontech Ltd" }, 
	{ 0x1420, "Psion Dacom plc" }, 
	{ 0x1421, "Ads Technologies Inc" }, 
	{ 0x1422, "Ygrec Systems Co Ltd" }, 
	{ 0x1423, "Custom Technology Corp." }, 
	{ 0x1424, "Videoserver Connections" }, 
	{ 0x1425, "ASIC Designers Inc" }, 
	{ 0x1426, "Storage Technology Corp." }, 
	{ 0x1427, "Better On-Line Solutions" }, 
	{ 0x1428, "Edec Co Ltd" }, 
	{ 0x1429, "Unex Technology Corp." }, 
	{ 0x142a, "Kingmax Technology Inc" }, 
	{ 0x142b, "Radiolan" }, 
	{ 0x142c, "Minton Optic Industry Co Ltd" }, 
	{ 0x142d, "Pix stream Inc" }, 
	{ 0x142e, "Vitec Multimedia" }, 
	{ 0x142f, "Radicom Research Inc" }, 
	{ 0x1430, "ITT Aerospace/Communications Division" }, 
	{ 0x1431, "Gilat Satellite Networks" }, 
	{ 0x1432, "Edimax Computer Co." }, 
	{ 0x1433, "Eltec Elektronik GmbH" }, 
	{ 0x1435, "Real Time Devices US Inc." }, 
	{ 0x1436, "CIS Technology Inc" }, 
	{ 0x1437, "Nissin Inc Co" }, 
	{ 0x1438, "Atmel-dream" }, 
	{ 0x1439, "Outsource Engineering & Mfg. Inc" }, 
	{ 0x143a, "Stargate Solutions Inc" }, 
	{ 0x143b, "Canon Research Center, America" }, 
	{ 0x143c, "Amlogic Inc" }, 
	{ 0x143d, "Tamarack Microelectronics Inc" }, 
	{ 0x143e, "Jones Futurex Inc" }, 
	{ 0x143f, "Lightwell Co Ltd - Zax Division" }, 
	{ 0x1440, "ALGOL Corp." }, 
	{ 0x1441, "AGIE Ltd" }, 
	{ 0x1442, "Phoenix Contact GmbH & Co." }, 
	{ 0x1443, "Unibrain S.A." }, 
	{ 0x1444, "TRW" }, 
	{ 0x1445, "Logical DO Ltd" }, 
	{ 0x1446, "Graphin Co Ltd" }, 
	{ 0x1447, "AIM GmBH" }, 
	{ 0x1448, "Alesis Studio Electronics" }, 
	{ 0x1449, "TUT Systems Inc" }, 
	{ 0x144a, "Adlink Technology" }, 
	{ 0x144b, "Loronix Information Systems Inc" }, 
	{ 0x144c, "Catalina Research Inc" }, 
	{ 0x144d, "Samsung Electronics Co Ltd" }, 
	{ 0x144e, "OLITEC" }, 
	{ 0x144f, "Askey Computer Corp." }, 
	{ 0x1450, "Octave Communications Ind." }, 
	{ 0x1451, "SP3D Chip Design GmBH" }, 
	{ 0x1453, "MYCOM Inc" }, 
	{ 0x1454, "Altiga Networks" }, 
	{ 0x1455, "Logic Plus Plus Inc" }, 
	{ 0x1456, "Advanced Hardware Architectures" }, 
	{ 0x1457, "Nuera Communications Inc" }, 
	{ 0x1458, "Giga-byte Technology" }, 
	{ 0x1459, "DOOIN Electronics" }, 
	{ 0x145a, "Escalate Networks Inc" }, 
	{ 0x145b, "PRAIM SRL" }, 
	{ 0x145c, "Cryptek" }, 
	{ 0x145d, "Gallant Computer Inc" }, 
	{ 0x145e, "Aashima Technology B.V." }, 
	{ 0x145f, "Baldor Electric Company" }, 
	{ 0x1460, "DYNARC INC" }, 
	{ 0x1461, "Avermedia Technologies Inc" }, 
	{ 0x1462, "Micro-star International Co Ltd" }, 
	{ 0x1463, "Fast Corporation" }, 
	{ 0x1464, "Interactive Circuits & Systems Ltd" }, 
	{ 0x1465, "GN NETTEST Telecom DIV." }, 
	{ 0x1466, "Designpro Inc." }, 
	{ 0x1467, "DIGICOM SPA" }, 
	{ 0x1468, "AMBIT Microsystem Corp." }, 
	{ 0x1469, "Cleveland Motion Controls" }, 
	{ 0x146a, "IFR" }, 
	{ 0x146b, "Parascan Technologies Ltd" }, 
	{ 0x146c, "Ruby Tech Corp." }, 
	{ 0x146d, "Tachyon, INC." }, 
	{ 0x146e, "Williams Electronics Games, Inc." }, 
	{ 0x146f, "Multi Dimensional Consulting Inc" }, 
	{ 0x1470, "Bay Networks" }, 
	{ 0x1471, "Integrated Telecom Express Inc" }, 
	{ 0x1472, "DAIKIN Industries, Ltd" }, 
	{ 0x1473, "ZAPEX Technologies Inc" }, 
	{ 0x1474, "Doug Carson & Associates" }, 
	{ 0x1475, "PICAZO Communications" }, 
	{ 0x1476, "MORTARA Instrument Inc" }, 
	{ 0x1477, "Net Insight" }, 
	{ 0x1478, "DIATREND Corporation" }, 
	{ 0x1479, "TORAY Industries Inc" }, 
	{ 0x147a, "FORMOSA Industrial Computing" }, 
	{ 0x147b, "ABIT Computer Corp." }, 
	{ 0x147c, "AWARE, Inc." }, 
	{ 0x147d, "Interworks Computer Products" }, 
	{ 0x147e, "Matsushita Graphic Communication Systems, Inc." }, 
	{ 0x147f, "NIHON UNISYS, Ltd." }, 
	{ 0x1480, "SCII Telecom" }, 
	{ 0x1481, "BIOPAC Systems Inc" }, 
	{ 0x1482, "ISYTEC - Integrierte Systemtechnik GmBH" }, 
	{ 0x1483, "LABWAY Corporation" }, 
	{ 0x1484, "Logic Corporation" }, 
	{ 0x1485, "ERMA - Electronic GmBH" }, 
	{ 0x1486, "L3 Communications Telemetry & Instrumentation" }, 
	{ 0x1487, "MARQUETTE Medical Systems" }, 
	{ 0x1488, "KONTRON Electronik GmBH" }, 
	{ 0x1489, "KYE Systems Corporation" }, 
	{ 0x148a, "OPTO" }, 
	{ 0x148b, "INNOMEDIALOGIC Inc." }, 
	{ 0x148c, "C.P. Technology Co. Ltd" }, 
	{ 0x148d, "DIGICOM Systems, Inc." }, 
	{ 0x148e, "OSI Plus Corporation" }, 
	{ 0x148f, "Plant Equipment, Inc." }, 
	{ 0x1490, "Stone Microsystems PTY Ltd." }, 
	{ 0x1491, "ZEAL Corporation" }, 
	{ 0x1492, "Time Logic Corporation" }, 
	{ 0x1493, "MAKER Communications" }, 
	{ 0x1494, "WINTOP Technology, Inc." }, 
	{ 0x1495, "TOKAI Communications Industry Co. Ltd" }, 
	{ 0x1496, "JOYTECH Computer Co., Ltd." }, 
	{ 0x1497, "SMA Regelsysteme GmBH" }, 
	{ 0x1498, "TEWS Datentechnik GmBH" }, 
	{ 0x1499, "EMTEC CO., Ltd" }, 
	{ 0x149a, "ANDOR Technology Ltd" }, 
	{ 0x149b, "SEIKO Instruments Inc" }, 
	{ 0x149c, "OVISLINK Corp." }, 
	{ 0x149d, "NEWTEK Inc" }, 
	{ 0x149e, "Mapletree Networks Inc." }, 
	{ 0x149f, "LECTRON Co Ltd" }, 
	{ 0x14a0, "SOFTING GmBH" }, 
	{ 0x14a1, "Systembase Co Ltd" }, 
	{ 0x14a2, "Millennium Engineering Inc" }, 
	{ 0x14a3, "Maverick Networks" }, 
	{ 0x14a4, "GVC/BCM Advanced Research" }, 
	{ 0x14a5, "XIONICS Document Technologies Inc" }, 
	{ 0x14a6, "INOVA Computers GmBH & Co KG" }, 
	{ 0x14a7, "MYTHOS Systems Inc" }, 
	{ 0x14a8, "FEATRON Technologies Corporation" }, 
	{ 0x14a9, "HIVERTEC Inc" }, 
	{ 0x14aa, "Advanced MOS Technology Inc" }, 
	{ 0x14ab, "Mentor Graphics Corp." }, 
	{ 0x14ac, "Novaweb Technologies Inc" }, 
	{ 0x14ad, "Time Space Radio AB" }, 
	{ 0x14ae, "CTI, Inc" }, 
	{ 0x14af, "Guillemot Corporation" }, 
	{ 0x14b0, "BST Communication Technology Ltd" }, 
	{ 0x14b1, "Nextcom K.K." }, 
	{ 0x14b2, "ENNOVATE Networks Inc" }, 
	{ 0x14b3, "XPEED Inc" }, 
	{ 0x14b4, "PHILIPS Business Electronics B.V." }, 
	{ 0x14b5, "Creamware GmBH" }, 
	{ 0x14b6, "Quantum Data Corp." }, 
	{ 0x14b7, "PROXIM Inc" }, 
	{ 0x14b8, "Techsoft Technology Co Ltd" }, 
	{ 0x14b9, "AIRONET Wireless Communications" }, 
	{ 0x14ba, "INTERNIX Inc." }, 
	{ 0x14bb, "SEMTECH Corporation" }, 
	{ 0x14bc, "Globespan Semiconductor Inc." }, 
	{ 0x14bd, "CARDIO Control N.V." }, 
	{ 0x14be, "L3 Communications" }, 
	{ 0x14bf, "SPIDER Communications Inc." }, 
	{ 0x14c0, "COMPAL Electronics Inc" }, 
	{ 0x14c1, "MYRICOM Inc." }, 
	{ 0x14c2, "DTK Computer" }, 
	{ 0x14c3, "MEDIATEK Corp." }, 
	{ 0x14c4, "IWASAKI Information Systems Co Ltd" }, 
	{ 0x14c5, "Automation Products AB" }, 
	{ 0x14c6, "Data Race Inc" }, 
	{ 0x14c7, "Modular Technology Holdings Ltd" }, 
	{ 0x14c8, "Turbocomm Tech. Inc." }, 
	{ 0x14c9, "ODIN Telesystems Inc" }, 
	{ 0x14ca, "PE Logic Corp." }, 
	{ 0x14cb, "Billionton Systems Inc" }, 
	{ 0x14cc, "NAKAYO Telecommunications Inc" }, 
	{ 0x14cd, "Universal Scientific Ind." }, 
	{ 0x14ce, "Whistle Communications" }, 
	{ 0x14cf, "TEK Microsystems Inc." }, 
	{ 0x14d0, "Ericsson Axe R & D" }, 
	{ 0x14d1, "Computer Hi-Tech Co Ltd" }, 
	{ 0x14d2, "Titan Electronics Inc" }, 
	{ 0x14d3, "CIRTECH (UK) Ltd" }, 
	{ 0x14d4, "Panacom Technology Corp" }, 
	{ 0x14d5, "Nitsuko Corporation" }, 
	{ 0x14d6, "Accusys Inc" }, 
	{ 0x14d7, "Hirakawa Hewtech Corp" }, 
	{ 0x14d8, "HOPF Elektronik GmBH" }, 
	{ 0x14d9, "Alpha Processor Inc" }, 
	{ 0x14da, "National Aerospace Laboratories" }, 
	{ 0x14db, "AFAVLAB Technology Inc" }, 
	{ 0x14dc, "Amplicon Liveline Ltd" }, 
	{ 0x14dd, "Boulder Design Labs Inc" }, 
	{ 0x14de, "Applied Integration Corporation" }, 
	{ 0x14df, "ASIC Communications Corp" }, 
	{ 0x14e1, "INVERTEX" }, 
	{ 0x14e2, "INFOLIBRIA" }, 
	{ 0x14e3, "AMTELCO" }, 
	{ 0x14e4, "BROADCOM Corporation" }, 
	{ 0x14e5, "Pixelfusion Ltd" }, 
	{ 0x14e6, "SHINING Technology Inc" }, 
	{ 0x14e7, "3CX" }, 
	{ 0x14e8, "RAYCER Inc" }, 
	{ 0x14e9, "GARNETS System CO Ltd" }, 
	{ 0x14ea, "PLANEX COMMUNICATIONS Inc" }, 
	{ 0x14eb, "SEIKO EPSON Corp" }, 
	{ 0x14ec, "ACQIRIS" }, 
	{ 0x14ed, "DATAKINETICS Ltd" }, 
	{ 0x14ee, "MASPRO KENKOH Corp" }, 
	{ 0x14ef, "CARRY Computer ENG. CO Ltd" }, 
	{ 0x14f0, "CANON RESEACH CENTRE FRANCE" }, 
	{ 0x14f1, "Conexant" }, 
	{ 0x14f2, "MOBILITY Electronics" }, 
	{ 0x14f3, "BROADLOGIC" }, 
	{ 0x14f4, "TOKYO Electronic Industry CO Ltd" }, 
	{ 0x14f5, "SOPAC Ltd" }, 
	{ 0x14f6, "COYOTE Technologies LLC" }, 
	{ 0x14f7, "WOLF Technology Inc" }, 
	{ 0x14f8, "AUDIOCODES Inc" }, 
	{ 0x14f9, "AG COMMUNICATIONS" }, 
	{ 0x14fa, "WANDEL & GOCHERMANN" }, 
	{ 0x14fb, "TRANSAS MARINE (UK) Ltd" }, 
	{ 0x14fc, "QUADRICS Supercomputers World" }, 
	{ 0x14fd, "JAPAN Computer Industry Inc" }, 
	{ 0x14fe, "ARCHTEK TELECOM Corp" }, 
	{ 0x14ff, "TWINHEAD INTERNATIONAL Corp" }, 
	{ 0x1500, "DELTA Electronics, Inc" }, 
	{ 0x1501, "BANKSOFT CANADA Ltd" }, 
	{ 0x1502, "MITSUBISHI ELECTRIC LOGISTICS SUPPORT Co Ltd" }, 
	{ 0x1503, "KAWASAKI LSI USA Inc" }, 
	{ 0x1504, "KAISER Electronics" }, 
	{ 0x1505, "ITA INGENIEURBURO FUR TESTAUFGABEN GmbH" }, 
	{ 0x1506, "CHAMELEON Systems Inc" }, 
	{ 0x1507, "Motorola ?? / HTEC" }, 
	{ 0x1508, "HONDA CONNECTORS/MHOTRONICS Inc" }, 
	{ 0x1509, "FIRST INTERNATIONAL Computer Inc" }, 
	{ 0x150a, "FORVUS RESEARCH Inc" }, 
	{ 0x150b, "YAMASHITA Systems Corp" }, 
	{ 0x150c, "KYOPAL CO Ltd" }, 
	{ 0x150d, "WARPSPPED Inc" }, 
	{ 0x150e, "C-PORT Corp" }, 
	{ 0x150f, "INTEC GmbH" }, 
	{ 0x1510, "BEHAVIOR TECH Computer Corp" }, 
	{ 0x1511, "CENTILLIUM Technology Corp" }, 
	{ 0x1512, "ROSUN Technologies Inc" }, 
	{ 0x1513, "Raychem" }, 
	{ 0x1514, "TFL LAN Inc" }, 
	{ 0x1515, "Advent design" }, 
	{ 0x1516, "MYSON Technology Inc" }, 
	{ 0x1517, "ECHOTEK Corp" }, 
	{ 0x1518, "PEP MODULAR Computers GmbH" }, 
	{ 0x1519, "TELEFON AKTIEBOLAGET LM Ericsson" }, 
	{ 0x151a, "Globetek" }, 
	{ 0x151b, "COMBOX Ltd" }, 
	{ 0x151c, "DIGITAL AUDIO LABS Inc" }, 
	{ 0x151d, "Fujitsu Computer Products Of America" }, 
	{ 0x151e, "MATRIX Corp" }, 
	{ 0x151f, "TOPIC SEMICONDUCTOR Corp" }, 
	{ 0x1520, "CHAPLET System Inc" }, 
	{ 0x1521, "BELL Corp" }, 
	{ 0x1522, "MainPine Ltd" }, 
	{ 0x1523, "MUSIC Semiconductors" }, 
	{ 0x1524, "ENE Technology Inc" }, 
	{ 0x1525, "IMPACT Technologies" }, 
	{ 0x1526, "ISS, Inc" }, 
	{ 0x1527, "SOLECTRON" }, 
	{ 0x1528, "ACKSYS" }, 
	{ 0x1529, "AMERICAN MICROSystems Inc" }, 
	{ 0x152a, "QUICKTURN DESIGN Systems" }, 
	{ 0x152b, "FLYTECH Technology CO Ltd" }, 
	{ 0x152c, "MACRAIGOR Systems LLC" }, 
	{ 0x152d, "QUANTA Computer Inc" }, 
	{ 0x152e, "MELEC Inc" }, 
	{ 0x152f, "PHILIPS - CRYPTO" }, 
	{ 0x1530, "ACQIS Technology Inc" }, 
	{ 0x1531, "CHRYON Corp" }, 
	{ 0x1532, "ECHELON Corp" }, 
	{ 0x1533, "BALTIMORE" }, 
	{ 0x1534, "ROAD Corp" }, 
	{ 0x1535, "EVERGREEN Technologies Inc" }, 
	{ 0x1537, "DATALEX COMMUNCATIONS" }, 
	{ 0x1538, "ARALION Inc" }, 
	{ 0x1539, "ATELIER INFORMATIQUES et ELECTRONIQUE ETUDES S.A." }, 
	{ 0x153a, "ONO SOKKI" }, 
	{ 0x153b, "TERRATEC Electronic GmbH" }, 
	{ 0x153c, "ANTAL Electronic" }, 
	{ 0x153d, "FILANET Corp" }, 
	{ 0x153e, "TECHWELL Inc" }, 
	{ 0x153f, "MIPS DENMARK" }, 
	{ 0x1540, "PROVIDEO MULTIMEDIA Co Ltd" }, 
	{ 0x1541, "MACHONE Communications" }, 
	{ 0x1542, "VIVID Technology Inc" }, 
	{ 0x1543, "SILICON Laboratories" }, 
	{ 0x1544, "DCM DATA Systems" }, 
	{ 0x1545, "VISIONTEK" }, 
	{ 0x1546, "IOI Technology Corp" }, 
	{ 0x1547, "MITUTOYO Corp" }, 
	{ 0x1548, "JET PROPULSION Laboratory" }, 
	{ 0x1549, "INTERCONNECT Systems Solutions" }, 
	{ 0x154a, "MAX Technologies Inc" }, 
	{ 0x154b, "COMPUTEX Co Ltd" }, 
	{ 0x154c, "VISUAL Technology Inc" }, 
	{ 0x154d, "PAN INTERNATIONAL Industrial Corp" }, 
	{ 0x154e, "SERVOTEST Ltd" }, 
	{ 0x154f, "STRATABEAM Technology" }, 
	{ 0x1550, "OPEN NETWORK Co Ltd" }, 
	{ 0x1551, "SMART Electronic DEVELOPMENT GmBH" }, 
	{ 0x1552, "RACAL AIRTECH Ltd" }, 
	{ 0x1553, "CHICONY Electronics Co Ltd" }, 
	{ 0x1554, "PROLINK Microsystems Corp" }, 
	{ 0x1555, "GESYTEC GmBH" }, 
	{ 0x1556, "PLD APPLICATIONS" }, 
	{ 0x1557, "MEDIASTAR Co Ltd" }, 
	{ 0x1558, "CLEVO/KAPOK Computer" }, 
	{ 0x1559, "SI LOGIC Ltd" }, 
	{ 0x155a, "INNOMEDIA Inc" }, 
	{ 0x155b, "PROTAC INTERNATIONAL Corp" }, 
	{ 0x155c, "Cemax-Icon Inc" }, 
	{ 0x155d, "Mac System Co Ltd" }, 
	{ 0x155e, "LP Elektronik GmbH" }, 
	{ 0x155f, "Perle Systems Ltd" }, 
	{ 0x1560, "Terayon Communications Systems" }, 
	{ 0x1561, "Viewgraphics Inc" }, 
	{ 0x1562, "Symbol Technologies" }, 
	{ 0x1563, "A-Trend Technology Co Ltd" }, 
	{ 0x1564, "Yamakatsu Electronics Industry Co Ltd" }, 
	{ 0x1565, "Biostar Microtech Int'l Corp" }, 
	{ 0x1566, "Ardent Technologies Inc" }, 
	{ 0x1567, "Jungsoft" }, 
	{ 0x1568, "DDK Electronics Inc" }, 
	{ 0x1569, "Palit Microsystems Inc." }, 
	{ 0x156a, "Avtec Systems" }, 
	{ 0x156b, "2wire Inc" }, 
	{ 0x156c, "Vidac Electronics GmbH" }, 
	{ 0x156d, "Alpha-Top Corp" }, 
	{ 0x156e, "Alfa Inc" }, 
	{ 0x156f, "M-Systems Flash Disk Pioneers Ltd" }, 
	{ 0x1570, "Lecroy Corp" }, 
	{ 0x1571, "Contemporary Controls" }, 
	{ 0x1572, "Otis Elevator Company" }, 
	{ 0x1573, "Lattice - Vantis" }, 
	{ 0x1574, "Fairchild Semiconductor" }, 
	{ 0x1575, "Voltaire Advanced Data Security Ltd" }, 
	{ 0x1576, "Viewcast COM" }, 
	{ 0x1578, "HITT" }, 
	{ 0x1579, "Dual Technology Corp" }, 
	{ 0x157a, "Japan Elecronics Ind Inc" }, 
	{ 0x157b, "Star Multimedia Corp" }, 
	{ 0x157c, "Eurosoft (UK)" }, 
	{ 0x157d, "Gemflex Networks" }, 
	{ 0x157e, "Transition Networks" }, 
	{ 0x157f, "PX Instruments Technology Ltd" }, 
	{ 0x1580, "Primex Aerospace Co" }, 
	{ 0x1581, "SEH Computertechnik GmbH" }, 
	{ 0x1582, "Cytec Corp" }, 
	{ 0x1583, "Inet Technologies Inc" }, 
	{ 0x1584, "Uniwill Computer Corp" }, 
	{ 0x1585, "Logitron" }, 
	{ 0x1586, "Lancast Inc" }, 
	{ 0x1587, "Konica Corp" }, 
	{ 0x1588, "Solidum Systems Corp" }, 
	{ 0x1589, "Atlantek Microsystems Pty Ltd" }, 
	{ 0x158a, "Digalog Systems Inc" }, 
	{ 0x158b, "Allied Data Technologies" }, 
	{ 0x158c, "Hitachi Semiconductor & Devices Sales Co Ltd" }, 
	{ 0x158d, "Point Multimedia Systems" }, 
	{ 0x158e, "Lara Technology Inc" }, 
	{ 0x158f, "Ditect Coop" }, 
	{ 0x1590, "3pardata Inc" }, 
	{ 0x1591, "ARN" }, 
	{ 0x1592, "Syba Tech Ltd" }, 
	{ 0x1593, "Bops Inc" }, 
	{ 0x1594, "Netgame Ltd" }, 
	{ 0x1595, "Diva Systems Corp" }, 
	{ 0x1596, "Folsom Research Inc" }, 
	{ 0x1597, "Memec Design Services" }, 
	{ 0x1598, "Granite Microsystems" }, 
	{ 0x1599, "Delta Electronics Inc" }, 
	{ 0x159a, "General Instrument" }, 
	{ 0x159b, "Faraday Technology Corp" }, 
	{ 0x159c, "Stratus Computer Systems" }, 
	{ 0x159d, "Ningbo Harrison Electronics Co Ltd" }, 
	{ 0x159e, "A-Max Technology Co Ltd" }, 
	{ 0x159f, "Galea Network Security" }, 
	{ 0x15a0, "Compumaster SRL" }, 
	{ 0x15a1, "Geocast Network Systems" }, 
	{ 0x15a2, "Catalyst Enterprises Inc" }, 
	{ 0x15a3, "Italtel" }, 
	{ 0x15a4, "X-Net OY" }, 
	{ 0x15a5, "Toyota Macs Inc" }, 
	{ 0x15a6, "Sunlight Ultrasound Technologies Ltd" }, 
	{ 0x15a7, "SSE Telecom Inc" }, 
	{ 0x15a8, "Shanghai Communications Technologies Center" }, 
	{ 0x15aa, "Moreton Bay" }, 
	{ 0x15ab, "Bluesteel Networks Inc" }, 
	{ 0x15ac, "North Atlantic Instruments" }, 
	{ 0x15ad, "VMWare Inc" }, 
	{ 0x15ae, "Amersham Pharmacia Biotech" }, 
	{ 0x15b0, "Zoltrix International Ltd" }, 
	{ 0x15b1, "Source Technology Inc" }, 
	{ 0x15b2, "Mosaid Technologies Inc" }, 
	{ 0x15b3, "Mellanox Technology" }, 
	{ 0x15b4, "CCI/TRIAD" }, 
	{ 0x15b5, "Cimetrics Inc" }, 
	{ 0x15b6, "Texas Memory Systems Inc" }, 
	{ 0x15b7, "Sandisk Corp" }, 
	{ 0x15b8, "ADDI-DATA GmbH" }, 
	{ 0x15b9, "Maestro Digital Communications" }, 
	{ 0x15ba, "Impacct Technology Corp" }, 
	{ 0x15bb, "Portwell Inc" }, 
	{ 0x15bc, "Agilent Technologies" }, 
	{ 0x15bd, "DFI Inc" }, 
	{ 0x15be, "Sola Electronics" }, 
	{ 0x15bf, "High Tech Computer Corp (HTC)" }, 
	{ 0x15c0, "BVM Ltd" }, 
	{ 0x15c1, "Quantel" }, 
	{ 0x15c2, "Newer Technology Inc" }, 
	{ 0x15c3, "Taiwan Mycomp Co Ltd" }, 
	{ 0x15c4, "EVSX Inc" }, 
	{ 0x15c5, "Procomp Informatics Ltd" }, 
	{ 0x15c6, "Technical University of Budapest" }, 
	{ 0x15c7, "Tateyama Dystem Laboratory Co Ltd" }, 
	{ 0x15c8, "Penta Media Co Ltd" }, 
	{ 0x15c9, "Serome Technology Inc" }, 
	{ 0x15ca, "Bitboys OY" }, 
	{ 0x15cb, "AG Electronics Ltd" }, 
	{ 0x15cc, "Hotrail Inc" }, 
	{ 0x15cd, "Dreamtech Co Ltd" }, 
	{ 0x15ce, "Genrad Inc" }, 
	{ 0x15cf, "Hilscher GmbH" }, 
	{ 0x15d1, "Infineon Technologies AG" }, 
	{ 0x15d2, "FIC (First International Computer Inc)" }, 
	{ 0x15d3, "NDS Technologies Israel Ltd" }, 
	{ 0x15d4, "Iwill Corp" }, 
	{ 0x15d5, "Tatung Co" }, 
	{ 0x15d6, "Entridia Corp" }, 
	{ 0x15d7, "Rockwell-Collins Inc" }, 
	{ 0x15d8, "Cybernetics Technology Co Ltd" }, 
	{ 0x15d9, "Super Micro Computer Inc" }, 
	{ 0x15da, "Cyberfirm Inc" }, 
	{ 0x15db, "Applied Computing Systems Inc" }, 
	{ 0x15dc, "Litronic Inc" }, 
	{ 0x15dd, "Sigmatel Inc" }, 
	{ 0x15de, "Malleable Technologies Inc" }, 
	{ 0x15df, "Infinilink Corp" }, 
	{ 0x15e0, "Cacheflow Inc" }, 
	{ 0x15e1, "Voice Technologies Group Inc" }, 
	{ 0x15e2, "Quicknet Technologies Inc" }, 
	{ 0x15e3, "Networth Technologies Inc" }, 
	{ 0x15e4, "VSN Systemen BV" }, 
	{ 0x15e5, "Valley technologies Inc" }, 
	{ 0x15e6, "Agere Inc" }, 
	{ 0x15e7, "Get Engineering Corp" }, 
	{ 0x15e8, "National Datacomm Corp" }, 
	{ 0x15e9, "Pacific Digital Corp" }, 
	{ 0x15ea, "Tokyo Denshi Sekei K.K." }, 
	{ 0x15eb, "Drsearch GmbH" }, 
	{ 0x15ec, "Beckhoff GmbH" }, 
	{ 0x15ed, "Macrolink Inc" }, 
	{ 0x15ee, "In Win Development Inc" }, 
	{ 0x15ef, "Intelligent Paradigm Inc" }, 
	{ 0x15f0, "B-Tree Systems Inc" }, 
	{ 0x15f1, "Times N Systems Inc" }, 
	{ 0x15f2, "Diagnostic Instruments Inc" }, 
	{ 0x15f3, "Digitmedia Corp" }, 
	{ 0x15f4, "Valuesoft" }, 
	{ 0x15f5, "Power Micro Research" }, 
	{ 0x15f6, "Extreme Packet Device Inc" }, 
	{ 0x15f7, "Banctec" }, 
	{ 0x15f8, "Koga Electronics Co" }, 
	{ 0x15f9, "Zenith Electronics Corp" }, 
	{ 0x15fa, "J.P. Axzam Corp" }, 
	{ 0x15fb, "Zilog Inc" }, 
	{ 0x15fc, "Techsan Electronics Co Ltd" }, 
	{ 0x15fd, "N-CUBED.NET" }, 
	{ 0x15fe, "Kinpo Electronics Inc" }, 
	{ 0x15ff, "Fastpoint Technologies Inc" }, 
	{ 0x1600, "Northrop Grumman - Canada Ltd" }, 
	{ 0x1601, "Tenta Technology" }, 
	{ 0x1602, "Prosys-tec Inc" }, 
	{ 0x1603, "Nokia Wireless Communications" }, 
	{ 0x1604, "Central System Research Co Ltd" }, 
	{ 0x1605, "Pairgain Technologies" }, 
	{ 0x1606, "Europop AG" }, 
	{ 0x1607, "Lava Semiconductor Manufacturing Inc" }, 
	{ 0x1608, "Automated Wagering International" }, 
	{ 0x1609, "Scimetric Instruments Inc" }, 
	{ 0x1619, "FarSite Communications Ltd" }, 
	{ 0x1629, "Kongsberg Spacetec AS" }, 
	{ 0x1657, "Brocade Communications Systems, Inc." }, 
	{ 0x1668, "Action Tec Electronics Inc" }, 
	{ 0x16f6, "VideoTele.com, Inc." }, 
	{ 0x170b, "NetOctave Inc" }, 
	{ 0x170c, "YottaYotta Inc." }, 
	{ 0x173b, "Altima (nee BroadCom)" }, 
	{ 0x1743, "Peppercon AG" }, 
	{ 0x1813, "Ambient Technologies Inc" }, 
	{ 0x1a08, "Sierra semiconductor" }, 
	{ 0x1b13, "Jaton Corp" }, 
	{ 0x1c1c, "Symphony" }, 
	{ 0x1d44, "DPT" }, 
	{ 0x1de1, "Tekram Technology Co.,Ltd." }, 
	{ 0x2001, "Temporal Research Ltd" }, 
	{ 0x21c3, "21st Century Computer Corp." }, 
	{ 0x2348, "Racore" }, 
	{ 0x2646, "Kingston Technologies" }, 
	{ 0x270b, "Xantel Corporation" }, 
	{ 0x270f, "Chaintech Computer Co. Ltd" }, 
	{ 0x2711, "AVID Technology Inc." }, 
	{ 0x2a15, "3D Vision(???)" }, 
	{ 0x3000, "Hansol Electronics Inc." }, 
	{ 0x3142, "Post Impression Systems." }, 
	{ 0x3388, "Hint Corp" }, 
	{ 0x3411, "Quantum Designs (H.K.) Inc" }, 
	{ 0x3513, "ARCOM Control Systems Ltd" }, 
	{ 0x38ef, "4Links" }, 
	{ 0x3d3d, "3DLabs" }, 
	{ 0x4005, "Avance Logic Inc." }, 
	{ 0x4033, "Addtron Technology Co, Inc." }, 
	{ 0x4143, "Digital Equipment Corp" }, 
	{ 0x416c, "Aladdin Knowledge Systems" }, 
	{ 0x4444, "Internext Compression Inc" }, 
	{ 0x4468, "Bridgeport machines" }, 
	{ 0x4594, "Cogetec Informatique Inc" }, 
	{ 0x45fb, "Baldor Electric Company" }, 
	{ 0x4680, "Umax Computer Corp" }, 
	{ 0x4843, "Hercules Computer Technology Inc" }, 
	{ 0x4916, "RedCreek Communications Inc" }, 
	{ 0x4943, "Growth Networks" }, 
	{ 0x4978, "Axil Computer Inc" }, 
	{ 0x4a14, "NetVin" }, 
	{ 0x4b10, "Buslogic Inc." }, 
	{ 0x4c48, "LUNG HWA Electronics" }, 
	{ 0x4ca1, "Seanix Technology Inc" }, 
	{ 0x4d51, "MediaQ Inc." }, 
	{ 0x4d54, "Microtechnica Co Ltd" }, 
	{ 0x4ddc, "ILC Data Device Corp" }, 
	{ 0x5046, "GemTek Technology Corporation" }, 
	{ 0x5053, "Voyetra Technologies" }, 
	{ 0x5136, "S S Technologies" }, 
	{ 0x5143, "Qualcomm Inc" }, 
	{ 0x5145, "Ensoniq (Old)" }, 
	{ 0x5301, "Alliance Semiconductor Corp." }, 
	{ 0x5333, "S3 Inc." }, 
	{ 0x544c, "Teralogic Inc" }, 
	{ 0x5455, "Technische University Berlin" }, 
	{ 0x5519, "Cnet Technologies, Inc." }, 
	{ 0x5544, "Dunord Technologies" }, 
	{ 0x5555, "Genroco, Inc" }, 
	{ 0x5700, "Netpower" }, 
	{ 0x6356, "UltraStor" }, 
	{ 0x6374, "c't Magazin fr Computertechnik" }, 
	{ 0x6409, "Logitec Corp." }, 
	{ 0x6666, "Decision Computer International Co." }, 
	{ 0x7604, "O.N. Electronic Co Ltd." }, 
	{ 0x7bde, "MIDAC Corporation" }, 
	{ 0x7fed, "PowerTV" }, 
	{ 0x8008, "Quancom Electronic GmbH" }, 
	{ 0x8086, "Intel Corp." }, 
	{ 0x8800, "Trigem Computer Inc." }, 
	{ 0x8866, "T-Square Design Inc." }, 
	{ 0x8888, "Silicon Magic" }, 
	{ 0x8e0e, "Computone Corporation" }, 
	{ 0x8e2e, "KTI" }, 
	{ 0x9004, "Adaptec" }, 
	{ 0x9005, "Adaptec" }, 
	{ 0x907f, "Atronics" }, 
	{ 0x919a, "Gigapixel Corp" }, 
	{ 0x9412, "Holtek" }, 
	{ 0x9699, "Omni Media Technology Inc" }, 
	{ 0x9710, "NetMos Technology" }, 
	{ 0xa0a0, "AOPEN Inc." }, 
	{ 0xa0f1, "UNISYS Corporation" }, 
	{ 0xa200, "NEC Corporation" }, 
	{ 0xa259, "Hewlett Packard" }, 
	{ 0xa25b, "Hewlett Packard GmbH PL24-MKT" }, 
	{ 0xa304, "Sony" }, 
	{ 0xa727, "3Com Corporation" }, 
	{ 0xaa42, "Scitex Digital Video" }, 
	{ 0xac1e, "Digital Receiver Technology Inc" }, 
	{ 0xb1b3, "Shiva Europe Limited" }, 
	{ 0xc001, "TSI Telsys" }, 
	{ 0xc0a9, "Micron/Crucial Technology" }, 
	{ 0xc0de, "Motorola" }, 
	{ 0xc0fe, "Motion Engineering, Inc." }, 
	{ 0xca50, "Varian Australia Pty Ltd" }, 
	{ 0xcafe, "Chrysalis-ITS" }, 
	{ 0xcccc, "Catapult Communications" }, 
	{ 0xd4d4, "Dy4 Systems Inc" }, 
	{ 0xd531, "I+ME ACTIA GmbH" }, 
	{ 0xd84d, "Exsys" }, 
	{ 0xdead, "Indigita Corporation" }, 
	{ 0xe000, "Winbond" }, 
	{ 0xe159, "Tiger Jet Network Inc." }, 
	{ 0xe4bf, "EKF Elektronik GmbH" }, 
	{ 0xea01, "Eagle Technology" }, 
	{ 0xeabb, "Aashima Technology B.V." }, 
	{ 0xeace, "Endace Measurement Systems, Ltd" }, 
	{ 0xecc0, "Echo Corporation" }, 
	{ 0xedd8, "ARK Logic Inc" }, 
	{ 0xfa57, "Fast Search & Transfer ASA" }, 
	{ 0xfebd, "Ultraview Corp." }, 
	{ 0xfeda, "Epigram Inc" }, 
	{ 0xfffe, "VMWare Inc" }, 
	{ 0xffff, "Illegal Vendor ID" }, 
};

