/*
 * kernel_drivers/adi_core/adi_block.c
 *
 * Copyright (c) 2003-2004 Lukasz Dembinski <dembol@nasa.com.pl>
 * All Rights Reserved
 * 
 * Date:	2004/09
 * Author: 	Lukasz Dembinski
 * Info:	adi_block.c core file
 * Contact:	mailto: <dembol@nasa.com.pl>
 *
 */

/* 
 * TODO
 */

#include <agnix/agnix.h>
#include <agnix/adi/adi.h>
#include <agnix/list.h>
#include <agnix/spinlock.h>
#include <agnix/console.h>

#define MOD_NAME	"BLK: "

struct adi_blkdev_s 	*blkdevs[BLKDEV_MAX];

extern int adi_blkdrv_floppy_init(void);

void adi_blkdev_lock_irq(struct adi_blkdev_s *blkdev)
{
    adi_device_lock_irq(&blkdev->dev_lock);
}

void adi_blkdev_unlock_irq(struct adi_blkdev_s *blkdev)
{
    adi_device_unlock_irq(&blkdev->dev_lock);
}

struct adi_blkdev_s *adi_get_blkdev(u16 blkdev_nr)
{
    return blkdevs[blkdev_nr];
}

int adi_register_blkdev(struct adi_blkdev_s *blkdev)
{
    blkdevs[blkdev->dev_nr] = blkdev;

    return 0;
}

int __init adi_blkdrv_init(void)
{
    printk(MOD_NAME "Initializing block drivers\n");

    adi_blkdrv_floppy_init();

    return 0;
}
