/*
 * kernel_drivers/adi_core/adi_char.c
 *
 * Copyright (c) 2003-2004 Lukasz Dembinski <dembol@nasa.com.pl>
 * All Rights Reserved
 * 
 * Date:	2004/01
 * Author: 	Lukasz Dembinski
 * Info:	adi_char.c core file
 * Contact:	mailto: <dembol@nasa.com.pl>
 *
 */

#include <agnix/agnix.h>
#include <agnix/adi/adi.h>
#include <agnix/memory.h>
#include <agnix/strings.h>
#include <agnix/console.h>

#define MOD_NAME	"CHAR: "

struct adi_chrdev_s adi_chrdevs[ADI_CHRDEV_MAX];

extern int adi_chrdrv_kbd_init(void);
extern int adi_sysconsole_init(void);
extern int adi_text_display_init(void);

int __init adi_console_init(void)
{
    adi_text_display_init();
    adi_sysconsole_init();

    return 0;
}

int adi_register_chrdev(struct adi_chrdev_s *chrdev)
{
    u8 dev_minor = chrdev->dev_nr;

    if (adi_chrdevs[dev_minor].dev_nr != 0)
	return -1;

    memcpy((void *)&adi_chrdevs[dev_minor], (void *)chrdev, sizeof(struct adi_chrdev_s));
    
    return 0;
}

struct adi_chrdev_s *adi_chrdev_find_by_name(char *name)
{
    int i;

    for (i = 0; i < ADI_CHRDEV_MAX; i++) {
	if (!strcmp(adi_chrdevs[i].dev_name, name))
	    return &adi_chrdevs[i];
    }
    
    return NULL;
}

int __init adi_chrdrv_init(void)
{
    printk(MOD_NAME "Initializing character drivers\n");

    adi_chrdrv_kbd_init();
    
    return 0;
}
