/*
 * kernel_libs/other/memory.c
 *
 * Copyright (c) 2003-2004 Lukasz Dembinski <dembol@nasa.com.pl>
 * All Rights Reserved
 * 
 * Date:	2004/01
 * Author: 	Lukasz Dembinski
 * Info:	memory.c core file
 * Contact:	mailto: <dembol@nasa.com.pl>
 *
 */

#include <agnix/console.h>

void *memset(void *from, int c, int n) 
{
    int i;
    
    for (i = 0; i < n; i++)
    {
	*(char *)from = (char)c;
	from++;
    }

    return from;
}

void *memcpy(void *to, void *from, int n) 
{
    int i;
    
    for (i = 0; i < n; i++)
    {
	*(char *)to = *(char *)from;
	from++;
	to++;
    }

    return from;
}

int memcmp(void *what, void *with, int n)
{
    char *a;
    char *b;
    int i;

    a = (char *)what;
    b = (char *)with;

    for (i = 0; i < n; i++) {
	if (a[i] != b[i])
	    return -1;
    }

    return 0;
}
