/*
 * kernel_libs/other/strings.c
 *
 * Copyright (c) 2003-2004 Lukasz Dembinski <dembol@nasa.com.pl>
 * All Rights Reserved
 * 
 * Date:	2004/01
 * Author: 	Lukasz Dembinski
 * Info:	strings.c core file
 * Contact:	mailto: <dembol@nasa.com.pl>
 *
 */

#include <agnix/agnix.h>

#define STRINGS_MAX_LEN		4096

int strlen(char *buf)
{
    int i;

    if (buf[0] == 0)
	return 0;

    for(i = 0; i < STRINGS_MAX_LEN; i++) {
	if (buf[i] == 0)
	    return i;// - 1;
    }
    
    return -1;
}

int strcmp(char *a, char *b)
{
    int i;

    for (i = 0; i < STRINGS_MAX_LEN; i++, a++, b++) {
	if (*a != *b)
	    return -1;
	
	if (*a == 0)
	    return 0;
    }
    
    return 0;
}

int word_len(char *buf, int max_len)
{
    int len;
    
    for (len = 0; len < max_len; len++) {
	if ((buf[len] == ' ') || (buf[len] == '\n'))
	    return len;
    }
    
    return len;
}

char *word_next(char *buf, int max_len)
{
    int end;
    int len;
    
    end = 0;
    for (len = 0; len < max_len; len++) {
	if (buf[len] == ' ') {
	    end = 1;
	    continue;
	}

	if ((buf[len] == 0) || (buf[len] == '\n'))
	    return NULL;
	
	if ((buf[len] != ' ') && (end))
	    return &buf[len];
    }
    
    return NULL;
}

int word_cmp(char *a, char *b, int max_len)
{
    int len;

    for (len = 0; len < max_len; len++, a++, b++) {
	
	if (((*a == ' ') || (*a == '\n') || (*a == 0)) && 
	    ((*b == ' ') || (*b == '\n') || (*b == 0)))
	    return 0;

	if (*a != *b)
	    return -1;
    }
    
    return -1;
}
