/*
 * kernel_net/layer_3/ip/ip_checksum.c
 *
 * Copyright (c) 2003-2005 Lukasz Dembinski <dembol@nasa.com.pl>
 * All Rights Reserved
 * 
 * Date:	2005/06
 * Author: 	Lukasz Dembinski
 * Info:	ip_checksum.c core file
 * Contact:	mailto: <dembol@nasa.com.pl>
 *
 */

#include <agnix/agnix.h>
#include <agnix/net/net.h>

u16 ip_checksum(struct ip_hdr_s *ip)
{
    u32	sum;       
    u16 word;
    u16 *ptr;
    int len;
    
    ptr = (u16 *)ip;
    
    sum = 0;
    for (len = sizeof(struct ip_hdr_s); len > 1; len -= 2, ptr++) {
        sum += *ptr;
    }

    if (len == 1) {
        word = 0;     
	*((u8 *) &word) = *(u8 *)ptr;
	sum += word;
    }

    sum  = (sum >> 16) + (sum & 0xffff);
    sum += (sum >> 16);
   
    return (u16)(~sum);
};

