/*
 * kernel_super/sched/idle.c
 *
 * Copyright (c) 2003-2005 Lukasz Dembinski <dembol@nasa.com.pl>
 * All Rights Reserved
 * 
 * Date:	2005/05
 * Author: 	Lukasz Dembinski
 * Info:	idle.c core file
 * Contact:	mailto: <dembol@nasa.com.pl>
 *
 */

#include <agnix/agnix.h>
#include <agnix/tasks.h>
#include <agnix/bios/bios.h>
#include <agnix/irq.h>

#if CONFIG_BIOS_APM
#define CPU_IDLE_LOOPS	10
#endif

extern int apm_enabled;

void idle_state_enter(void)
{

#if CONFIG_BIOS_APM
    int i;
    u32 flags;

    if (apm_enabled) {
        
        save_flags(flags); __cli();
    
	for (i = 0; i < CPU_IDLE_LOOPS; i++)
	    apm_cpu_idle();

        apm_cpu_busy();
    
	restore_flags(flags);

    } else {
	while(!(current_task->t_resched))
	    __asm__ __volatile__ ("hlt");
    }
    
#else

    while(!(current_task->t_resched))
	__asm__ __volatile__ ("hlt");
    
#endif    
}
